
#ifndef _REGIONIMPL_H
#define _REGIONIMPL_H

#ifndef _RTI_HH
#define _RTI_HH
#include <RTI.hh>
#endif

class RegionImpl : public RTI::Region
{

public:

  ~RegionImpl();
  
  RTI::ULong getRangeLowerBound(
    RTI::ExtentIndex     theExtent,
    RTI::DimensionHandle theDimension) const
    throw ( RTI::ArrayIndexOutOfBounds) 
  { return 0; };

  RTI::ULong getRangeUpperBound(
    RTI::ExtentIndex     theExtent,
    RTI::DimensionHandle theDimension) const
    throw ( RTI::ArrayIndexOutOfBounds) 
  { return 0; };

  void setRangeLowerBound(
    RTI::ExtentIndex     theExtent,
    RTI::DimensionHandle theDimension,
    RTI::ULong           theLowerBound)
    throw ( RTI::ArrayIndexOutOfBounds) 
  {};

  void setRangeUpperBound(
    RTI::ExtentIndex     theExtent,
    RTI::DimensionHandle theDimension,
    RTI::ULong           theUpperBound)
    throw ( RTI::ArrayIndexOutOfBounds) 
  {};

  RTI::SpaceHandle getSpaceHandle() const throw () { return 0; };

  RTI::ULong getNumberOfExtents() const throw () { return 0; };

  RTI::ULong getRangeLowerBoundNotificationLimit(
    RTI::ExtentIndex theExtent, RTI::DimensionHandle theDimension) const
    throw ( RTI::ArrayIndexOutOfBounds) 
  { return 0; };

  RTI::ULong getRangeUpperBoundNotificationLimit(
    RTI::ExtentIndex     theExtent,
    RTI::DimensionHandle theDimension) const
    throw ( RTI::ArrayIndexOutOfBounds) 
  { return 0; };

};
#endif
