//
// Timucin, This objects are written to mapping between C++ RTI objects and
// RTIcap objects.
//
#ifndef _MYSET_H
#define _MYSET_H

template<class T1, class T2>
class mySet
{
   protected :
     T2 size;
     T2 number_of_elements;
     T1 *eles;

     findIndexOf(T1 _sele, T2* index) const;

   public:

     mySet(T2 _size);

     virtual ~mySet() ;

     T2 getSize() const ;

     T1 getElementAt(T2 index) const throw (ArrayIndexOutOfBounds);

     void put(T1 _newele) throw (ArrayIndexOutOfBounds);

     void rm(T1 _sele) ;

     void rmAt(T2 index) throw (ArrayIndexOutOfBounds);

     void freeUpElements() ;

};// end of mySet

#endif
