
DIR = C++

RTI_CPP_HOME = /project/speedes/users/timucin/omniORB_2.5.0/src/examples/RtiCapLib
PUBLIC_INCL = $(RTI_CPP_HOME)/include

#PUBLIC_LIB = $(RTI_CPP_HOME)/lib/$(RTI_ARCH)
#PUBLIC_LIB = -L. -L$(RTI_CPP_HOME) -L../RtiCapLib -L/usr/dt/lib -L/usr/openwin/lib
PUBLIC_LIB = -L$(RTI_CPP_HOME) -L/usr/dt/lib -L/usr/openwin/lib

CCFLAGS = $(C++FLAGS) $(CORBA_CPPFLAGS) 

C++ = CC
C++SUFFIX = cpp

%.o: %.$(C++SUFFIX) $(INCLUDES) 
	$(C++) -c $(CCFLAGS) $<

include ./.cflags-$(RTI_ARCH)

HW_SRCS = \
	helloWorld.cc \
	Country.cc \
	HwFederateAmbassador.cc

HW_OBJS = \
	helloWorld.o \
	Country.o \
	HwFederateAmbassador.o

#LDFLAGS = -L$(PUBLIC_LIB) -lRTI -lrtiparser -lrtitty -lfedtime -lrtirdr -lsocket -lnsl -lXm -lXt -lX11 -lw -ldl -lm -lgen -lelf -lc -ll $(OTHER_LIB) -lrwtool
LDFLAGS = -lRTIN -lsocket -lnsl -lXm -lXt -lX11 -lw -ldl -lm -lgen -lelf -lc $(OTHER_LIB) -lrwtool $(CORBA_LIB) $(IMPORT_LIBRARY_FLAGS)
RPATH_LIBS = -R$(PUBLIC_LIB)

default: bin/$(RTI_ARCH)/helloWorld

bin/$(RTI_ARCH)/helloWorld: $(HW_OBJS)
	if [ ! -d bin ]; then mkdir bin; fi
	if [ ! -d bin/$(RTI_ARCH) ]; then mkdir bin/$(RTI_ARCH); fi
	$(C++) -o $@ $(PUBLIC_LIB) $(HW_OBJS) $(C++FLAGS) $(LDFLAGS) $(C++POST) 
	$(MCS) bin/$(RTI_ARCH)/helloWorld

purify: $(HW_OBJS)
	purify $(C++) $(C++FLAGS) $(HW_OBJS) -o helloWorld.pure \
	$(LDFLAGS) $(C++POST)

quantify: $(HW_OBJS)
	quantify $(C++) $(C++FLAGS) $(HW_OBJS) -o helloWorld.quantify \
	$(LDFLAGS) $(C++POST) 

myclean:
	rm -f *.o core *~

#clean:
#	rm -f *.o core *~

distclean: myclean
	rm -rf bin
