/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/RTIcap/FederateAmbassador.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/RTIcap.idl
 * Date: Fri May  8 15:40:23 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package RTIcap;
public interface FederateAmbassador
    extends org.omg.CORBA.Object {
    void synchronizationPointRegistrationSucceeded(String theLabel)
        throws RTIcap.FederateInternalError;
    void synchronizationPointRegistrationFailed(String theLabel)
        throws RTIcap.FederateInternalError;
    void announceSynchronizationPoint(String theLabel, String theTag)
        throws RTIcap.FederateInternalError;
    void federationSynchronized(String theLabel)
        throws RTIcap.FederateInternalError;
    void initiateFederateSave(String theLabel)
        throws RTIcap.UnableToPerformSave, RTIcap.FederateInternalError;
    void federationSaved()
        throws RTIcap.FederateInternalError;
    void federationNotSaved()
        throws RTIcap.FederateInternalError;
    void requestFederationRestoreSucceeded(String theLabel)
        throws RTIcap.FederateInternalError;
    void requestFederationRestoreFailed(String theLabel)
        throws RTIcap.FederateInternalError;
    void federationRestoreBegun()
        throws RTIcap.FederateInternalError;
    void initiateFederateRestore(String theLabel, short handle)
        throws RTIcap.SpecifiedLabelDoesNotExist, RTIcap.CouldNotRestore, RTIcap.FederateInternalError;
    void federationRestored()
        throws RTIcap.FederateInternalError;
    void federationNotRestored()
        throws RTIcap.FederateInternalError;
    void startRegistrationForObjectClass(short theClass)
        throws RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void stopRegistrationForObjectClass(short theClass)
        throws RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void turnInteractionsOn(short theHandle)
        throws RTIcap.InteractionClassNotPublished, RTIcap.FederateInternalError;
    void turnInteractionsOff(short theHandle)
        throws RTIcap.InteractionClassNotPublished, RTIcap.FederateInternalError;
    void startUpdates(short theClass, short[] theAttributes)
        throws RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void stopUpdates(short theClass, short[] theAttributes)
        throws RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void discoverObjectInstance(int theObject, short theObjectClass)
        throws RTIcap.CouldNotDiscover, RTIcap.ObjectClassNotKnown, RTIcap.InvalidFederationTime, RTIcap.FederateInternalError;
    void reflectAttributeValuesWithTime(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, double theTime, String theTag, RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateOwnsAttributes, RTIcap.InvalidFederationTime, RTIcap.FederateInternalError;
    void reflectAttributeValues(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateOwnsAttributes, RTIcap.FederateInternalError;
    void receiveInteractionWithTime(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, double theTime, String theTag, RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.InteractionClassNotKnown, RTIcap.InteractionParameterNotKnown, RTIcap.InvalidFederationTime, RTIcap.FederateInternalError;
    void receiveInteraction(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, String theTag)
        throws RTIcap.InteractionClassNotKnown, RTIcap.InteractionParameterNotKnown, RTIcap.FederateInternalError;
    void removeObjectInstanceWithTime(int theObject, double theTime, String theTag, RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.InvalidFederationTime, RTIcap.FederateInternalError;
    void removeObjectInstance(int theObject, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateInternalError;
    void attributesInScope(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateInternalError;
    void attributesOutOfScope(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateInternalError;
    void provideAttributeValueUpdate(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeNotOwned, RTIcap.FederateInternalError;
    void turnUpdatesOnForObjectInstance(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotOwned, RTIcap.FederateInternalError;
    void turnUpdatesOffForObjectInstance(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotOwned, RTIcap.FederateInternalError;
    void requestAttributeOwnershipAssumption(int theObject, short[] offeredAttributes, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void attributeOwnershipDivestitureNotification(int theObject, short[] releasedAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeNotOwned, RTIcap.AttributeDivestitureWasNotRequested, RTIcap.FederateInternalError;
    void attributeOwnershipAcquisitionNotification(int theObject, short[] securedAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeAcquisitionWasNotRequested, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeNotPublished, RTIcap.FederateInternalError;
    void attributeOwnershipUnavailable(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeAcquisitionWasNotRequested, RTIcap.FederateInternalError;
    void requestAttributeOwnershipRelease(int theObject, short[] candidateAttributes, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeNotOwned, RTIcap.FederateInternalError;
    void confirmAttributeOwnershipAcquisitionCancellation(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeAcquisitionWasNotCancelled, RTIcap.FederateInternalError;
    void informAttributeOwnership(int theObject, short theAttribute, short theOwner)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateInternalError;
    void attributeIsNotOwned(int theObject, short theAttribute)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateInternalError;
    void attributeIsOwnedByRTI(int theObject, short theAttribute)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotKnown, RTIcap.FederateInternalError;
    void timeAdvanceGrant(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.TimeAdvanceWasNotInProgress, RTIcap.FederateInternalError;
    void timeRegulationEnabled(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.EnableTimeRegulationWasNotPending, RTIcap.FederateInternalError;
    void timeConstrainedEnabled(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.EnableTimeConstrainedWasNotPending, RTIcap.FederateInternalError;
    void requestRetraction(RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.EventNotKnown, RTIcap.FederateInternalError;
    void changeThresholds(RTIcap.Region theRegion, RTIcap.ThresholdSetHolder theThresholds)
        throws RTIcap.RegionNotKnown, RTIcap.FederateInternalError;
}
