/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/RTIcap/RTIambassador.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/RTIcap.idl
 * Date: Fri May  8 15:40:23 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package RTIcap;
public interface RTIambassador
    extends org.omg.CORBA.Object,
	    RTIcap.RTIambassador1 {
    void unconditionalAttributeOwnershipDivestiture(int object, short[] attributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void negotiatedAttributeOwnershipDivestiture(int object, short[] attributes, String tag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.AttributeAlreadyBeingDivested, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void attributeOwnershipAcquisition(int object, short[] attributes, String tag)
        throws RTIcap.ObjectNotKnown, RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotDefined, RTIcap.AttributeNotPublished, RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void attributeOwnerhsipAcquisitionIfAvailable(int object, short[] attributes)
        throws RTIcap.ObjectNotKnown, RTIcap.ObjectClassNotPublished, RTIcap.AttributeNotDefined, RTIcap.AttributeNotPublished, RTIcap.FederateOwnsAttributes, RTIcap.AttributeAlreadyBeingAcquired, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    short[] attributeOwnershipReleaseResponse(int object, short[] attributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateWasNotAskedToReleaseAttribute, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void cancelNegotiatedAttributeOwnershipDivestiture(int object, short[] attributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.AttributeDivestitureWasNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.SaveInProgress, RTIcap.RTIinternalError;
    void cancelAttributeOwnershipAcquisition(int object, short[] attributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeAcquisitionWasNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void queryAttributeOwnership(int theObject, short theAttribute)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap._Boolean isAttributeOwnedByFederate(int obj, short attrib)
        throws RTIcap.AttributeNotDefined, RTIcap.ConcurrentAccessAttempted, RTIcap.FederateNotExecutionMember, RTIcap.ObjectNotKnown, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableTimeRegulation(double time, double lookahead)
        throws RTIcap.ConcurrentAccessAttempted, RTIcap.EnableTimeRegulationPending, RTIcap.FederateNotExecutionMember, RTIcap.InvalidFederationTime, RTIcap.InvalidLookahead, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.TimeRegulationAlreadyEnabled;
    void disableTimeRegulation()
        throws RTIcap.TimeRegulationWasNotEnabled, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableTimeConstrained()
        throws RTIcap.TimeConstrainedAlreadyEnabled, RTIcap.EnableTimeConstrainedPending, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableTimeConstrained()
        throws RTIcap.TimeConstrainedWasNotEnabled, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void timeAdvanceRequest(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void timeAdvanceRequestAvailable(double time)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void nextEventRequest(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void nextEventRequestAvailable(double time)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void flushQueueRequest(double theTime)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAsynchronousDelivery()
        throws RTIcap.AsynchronousDeliveryAlreadyEnabled, RTIcap.ConcurrentAccessAttempted, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAsynchronousDelivery()
        throws RTIcap.AsynchronousDeliveryAlreadyDisabled, RTIcap.ConcurrentAccessAttempted, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryLBTS()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryFederateTime()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryMinNextEventTime()
        throws RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void modifyLookahead(double theLookahead)
        throws RTIcap.InvalidLookahead, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryLookahead()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void retract(RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.InvalidRetractionHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeAttributeOrderType(int theObject, short[] theAttributes, int theType)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeInteractionOrderType(short theObject, int theType)
        throws RTIcap.InteractionClassNotKnown, RTIcap.InteractionClassNotPublished, RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.Region createRegion(int theSpace, int numberOfExtents)
        throws RTIcap.SpaceNotDefined, RTIcap.InvalidExtents, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void notifyAboutRegionModification(RTIcap.Region theRegion)
        throws RTIcap.RegionNotKnown, RTIcap.InvalidExtents, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void deleteRegion(RTIcap.Region theRegion)
        throws RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstanceWithRegionAndName(short _class, String theName, short[] attributes, RTIcap.Region[] regions, int theNumberOfhandles)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.ObjectAlreadyRegistered, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstanceWithRegion(short _class, short[] attributes, RTIcap.Region[] regions, int theNumberOfhandles)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void associateRegionForUpdates(RTIcap.Region theRegion, int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.InvalidRegionContext, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unassociateRegionForUpdates(RTIcap.Region theRegion, int theObject)
        throws RTIcap.RegionNotKnown, RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void subscribeObjectClassAttributesWithRegion(short theClass, RTIcap.Region theRegion, short[] attributeList, RTIcap._Boolean active)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeObjectClassWithRegion(short theClass, RTIcap.Region theRegion)
        throws RTIcap.ObjectClassNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void subscribeInteractionClassWithRegion(short theClass, RTIcap.Region theRegion, RTIcap._Boolean active)
        throws RTIcap.InteractionClassNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateLoggingServiceCalls, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeInteractionClassWithRegion(short theClass, RTIcap.Region theRegion)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotSubscribed, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle sendInteractionWithRegionAndTime(short theInteraction, RTIcap.ParameterHandleValuePair[] parameters, double theTime, String theTag, RTIcap.Region theRegion)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.InvalidFederationTime, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void sendInteractionWithRegion(short theInteraction, RTIcap.ParameterHandleValuePair[] parameters, String theTag, RTIcap.Region theRegion)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAttributeValueUpdateWithRegion(short theClass, short[] theAttributes, RTIcap.Region theRegion)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAttributeValueUpdateWithRegion(int theObject, short[] theAttributes, RTIcap.Region theRegion)
        throws RTIcap.ObjectNotKnown, RTIcap.RegionNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    short getObjectClassHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getObjectClassName(short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getAttributeHandle(String theName, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getAttributeName(short theHandle, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getInteractionClassHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getInteractionClassName(short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getParameterHandle(String theName, short whichClass)
        throws RTIcap.InteractionClassNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getParameterName(short theHandle, short whichClass)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionParameterNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getObjectInstanceHandle(String theName)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getObjectInstanceName(int theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getSpaceHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getSpaceName(int theHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getDimensionHandle(String theName, int theHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getDimensionName(int theDimHandle, int theSpcHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.DimensionNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getAttributeRoutingSpaceHandle(short theHandle, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getObjectClass(int theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getInteractionRoutingSpaceHandle(short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getTransportationHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getTransportationName(int theHandle)
        throws RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getOrderingHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getOrderingName(int theHandle)
        throws RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void enableClassRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableClassRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAttributeRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAttributeRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAttributeScopeAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAttributeScopeAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableInteractionRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableInteractionRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    short getFederateHandle(String theName)
        throws RTIcap.FederateDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    String getFederateName(short theHandle)
        throws RTIcap.FederateDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void turnRegulationOn()
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    double turnRegulationOnNow()
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void turnRegulationOff()
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void setTimeConstrained(RTIcap._Boolean state)
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
}
