/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/RTIcap/RTIambassador1.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/RTIcap.idl
 * Date: Fri May  8 15:40:23 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package RTIcap;
public interface RTIambassador1
    extends org.omg.CORBA.Object {
    void beginTicking(int sleepTime)
        throws RTIcap.TickingPreviouslyStarted;
    void endTicking()
        throws RTIcap.TickingNotEnabled;
    RTIcap._Boolean tick()
        throws RTIcap.RTIinternalError;
    RTIcap._Boolean tickMinMax(double minimum, double maximum)
        throws RTIcap.RTIinternalError;
    void createFederationExecution(String executionName, String FED)
        throws RTIcap.FederationExecutionAlreadyExists, RTIcap.RTIinternalError;
    void destroyFederationExecution(String executionName)
        throws RTIcap.FederatesCurrentlyJoined, RTIcap.FederationExecutionDoesNotExist, RTIcap.RTIinternalError;
    short joinFederationExecution(String yourName, String executionName, RTIcap.FederateAmbassador fedAmbassador)
        throws RTIcap.FederateAlreadyExecutionMember, RTIcap.FederationExecutionDoesNotExist, RTIcap.CouldNotOpenFED, RTIcap.ErrorReadingFED, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void resignFederationExecution(RTIcap.ResignAction theAction)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.RTIinternalError;
    void registerFederationSynchronizationPoint(String label, String tag)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void registerFederationSynchronizationPointWithSet(String label, String tag, short[] syncSet)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void synchronizationPointAchieved(String label)
        throws RTIcap.SynchronizationPointLabelWasNotAnounced, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationSaveWithTime(String label, double theTime)
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationSave(String label)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveBegun()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveComplete()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveNotComplete()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationRestore(String label)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateRestoreComplete()
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void federateRestoreNotComplete()
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void publishObjectClass(short theClass, short[] attributeList)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unpublishObjectClass(short theClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.FederateOwnsAttributes, RTIcap.ObjectClassNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void publishInteractionClass(short theInteraction)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unpublishInteractionClass(short theInteraction)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void subscribeObjectClassAttributes(short theClass, short[] attributeList, RTIcap._Boolean active)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeObjectClass(short theClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotSubscribed, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void subscribeInteractionClass(short theClass, RTIcap._Boolean active)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.FederateLoggingServiceCalls, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeInteractionClass(short theClass)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotSubscribed, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstanceWithName(short theClass, String theName)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.ObjectAlreadyRegistered, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstance(short theClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle updateAttributeValuesWithTime(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, double theTime, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void updateAttributeValues(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle sendInteractionWithTime(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, double theTime, String theTag)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void sendInteraction(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, String theTag)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle deleteObjectInstanceWithTime(int objID, double theTime, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.DeletePrivilegeNotHeld, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void deleteObjectInstance(int objID, String theTag)
        throws RTIcap.ObjectNotKnown, RTIcap.DeletePrivilegeNotHeld, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void localdeleteObjectInstance(int objID)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeAttributeTransportType(int theObject, short[] theAttributes, RTIcap.TransportType theType)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeInteractionTransportType(short theClass, RTIcap.TransportType theType)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAttributeValueUpdate(int theObject, short[] theAttributes)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAllAttributeValueUpdate(int theObject)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAttributeValueUpdate(short theClass, short[] theAttributes)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAllAttributeValueUpdate(short theClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
}
