/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/ObjectManagerInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface ObjectManagerInterface
    extends org.omg.CORBA.Object {
    int registerObjectInstanceWithName(short theClass, String theName, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.ObjectAlreadyRegistered, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstance(short theClass, RTIcap.FederateAmbassador theName, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle updateAttributeValuesWithTime(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, double theTime, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void updateAttributeValues(int theObject, RTIcap.AttributeHandleValuePair[] theAttributes, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle sendInteractionWithTime(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, double theTime, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void sendInteraction(short theInteraction, RTIcap.ParameterHandleValuePair[] theParameters, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle deleteObjectInstanceWithTime(int objectID, double theTime, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.DeletePrivilegeNotHeld, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void deleteObjectInstance(int objectID, String theTag, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.DeletePrivilegeNotHeld, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void localdeleteObjectInstance(int objectID, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeAttributeTransportType(int theObject, short[] theAttributes, RTIcap.TransportType theType, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeInteractionTransportType(short theClass, RTIcap.TransportType theType, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAttributeValueUpdate1(int theObject, short[] theAttributes, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAttributeValueUpdate2(int theObject, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAttributeValueUpdate1(short theClass, short[] theAttributes, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAttributeValueUpdate2(short theClass, RTIcap.FederateAmbassador fedAmb, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void retract(RTIcap.EventRetractionHandle theHandle)
        throws RTIcap.InvalidRetractionHandle, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
}
