/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/RTIServicesInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface RTIServicesInterface
    extends org.omg.CORBA.Object {
    short getFederateHandle(String theName)
        throws RTIcap.FederateDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    String getFederateName(short theHandle)
        throws RTIcap.FederateDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void turnRegulationOn()
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    double turnRegulationOnNow()
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void turnRegulationOff()
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void setTimeConstrained(RTIcap._Boolean state)
        throws RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    short getObjectClassHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getObjectClassName(short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getAttributeHandle(String theName, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getAttributeName(short theHandle, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getInteractionClassHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getInteractionClassName(short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getParameterHandle(String theName, short whichClass)
        throws RTIcap.InteractionClassNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getParameterName(short theHandle, short whichClass)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionParameterNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getObjectInstanceHandle(String theName)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getObjectInstanceName(int theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getSpaceHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getSpaceName(int theHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getDimensionHandle(String theName, int theHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getDimensionName(int theDimHandle, int theSpcHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.DimensionNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getAttributeRoutingSpaceHandle(short theHandle, short whichClass)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    short getObjectClass(int theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getInteractionRoutingSpaceHandle(short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getTransportationHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getTransportationName(int theHandle)
        throws RTIcap.InvalidTransportationHandle, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    int getOrderingHandle(String theName)
        throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    String getOrderingName(int theHandle)
        throws RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void enableClassRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableClassRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAttributeRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAttributeRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAttributeScopeAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAttributeScopeAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableInteractionRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableInteractionRelevanceAdvisorySwitch()
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
}
