/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/TimeManagerInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface TimeManagerInterface
    extends org.omg.CORBA.Object {
    RTIcap._Boolean tick(short theHandle)
        throws RTIcap.RTIinternalError;
    RTIcap._Boolean tickMinMax(double minimum, double maximum, short theHandle)
        throws RTIcap.RTIinternalError;
    void enableTimeRegulation(double theTime, double lookahead, short theFedHandle)
        throws RTIcap.EnableTimeRegulationPending, RTIcap.FederateNotExecutionMember, RTIcap.InvalidFederationTime, RTIcap.InvalidLookahead, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.TimeRegulationAlreadyEnabled;
    void disableTimeRegulation(short theFedHandle)
        throws RTIcap.TimeRegulationWasNotEnabled, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableTimeConstrained(short theFedHandle)
        throws RTIcap.TimeConstrainedAlreadyEnabled, RTIcap.EnableTimeConstrainedPending, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableTimeConstrained(short theFedHandle)
        throws RTIcap.TimeConstrainedWasNotEnabled, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void timeAdvanceRequest(double theTime, short theFedHandle)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void timeAdvanceRequestAvailable(double time, short theFedHandle)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void nextEventRequest(double theTime, short theFedHandle)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void nextEventRequestAvailable(double time, short theFedHandle)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void flushQueueRequest(double theTime, short theFedHandle)
        throws RTIcap.InvalidFederationTime, RTIcap.FederationTimeAlreadyPassed, RTIcap.TimeAdvanceAlreadyInProgress, RTIcap.EnableTimeRegulationPending, RTIcap.EnableTimeConstrainedPending, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void enableAsynchronousDelivery(short theFedHandle)
        throws RTIcap.AsynchronousDeliveryAlreadyEnabled, RTIcap.ConcurrentAccessAttempted, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void disableAsynchronousDelivery(short theFedHandle)
        throws RTIcap.AsynchronousDeliveryAlreadyDisabled, RTIcap.ConcurrentAccessAttempted, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryLBTS(short theFedHandle)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryFederateTime(short theFedHandle)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryMinNextEventTime(short theFedHandle)
        throws RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void modifyLookahead(double theLookahead, short theFedHandle)
        throws RTIcap.InvalidLookahead, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    double queryLookahead(short theFedHandle)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void retract(RTIcap.EventRetractionHandle theHandle, short theFedHandle)
        throws RTIcap.InvalidRetractionHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeAttributeOrderType(int theObject, short[] theAttributes, int theType, short theFedHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void changeInteractionOrderType(short theObject, int theType, short theFedHandle)
        throws RTIcap.InteractionClassNotKnown, RTIcap.InteractionClassNotPublished, RTIcap.InvalidOrderingHandle, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
}
