/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_FederationExecutionInterfaceImplBase.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public abstract class _FederationExecutionInterfaceImplBase extends org.omg.CORBA.DynamicImplementation implements npacrti.FederationExecutionInterface {
    // Constructor
    public _FederationExecutionInterfaceImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:npacrti/FederationExecutionInterface:1.0",
        "IDL:npacrti/FederationManagerInterface:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("createFederationExecution", new java.lang.Integer(0));
      _methods.put("destroyFederationExecution", new java.lang.Integer(1));
      _methods.put("joinFederationExecution", new java.lang.Integer(2));
      _methods.put("resignFederationExecution", new java.lang.Integer(3));
      _methods.put("registerFederationSynchronizationPoint", new java.lang.Integer(4));
      _methods.put("registerFederationSynchronizationPointWithSet", new java.lang.Integer(5));
      _methods.put("synchronizationPointAchieved", new java.lang.Integer(6));
      _methods.put("requestFederationSaveWithTime", new java.lang.Integer(7));
      _methods.put("requestFederationSave", new java.lang.Integer(8));
      _methods.put("federateSaveBegun", new java.lang.Integer(9));
      _methods.put("federateSaveComplete", new java.lang.Integer(10));
      _methods.put("federateSaveNotComplete", new java.lang.Integer(11));
      _methods.put("requestFederationRestore", new java.lang.Integer(12));
      _methods.put("federateRestoreComplete", new java.lang.Integer(13));
      _methods.put("federateRestoreNotComplete", new java.lang.Integer(14));
      _methods.put("getFederationManager", new java.lang.Integer(15));
      _methods.put("getDeclarationManager", new java.lang.Integer(16));
      _methods.put("getObjectManager", new java.lang.Integer(17));
      _methods.put("getOwnershipManager", new java.lang.Integer(18));
      _methods.put("getDataDistributionManager", new java.lang.Integer(19));
      _methods.put("getTimeManager", new java.lang.Integer(20));
      _methods.put("getRTIServices", new java.lang.Integer(21));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // npacrti.FederationManagerInterface.createFederationExecution
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _executionName = _orb().create_any();
              _executionName.type(RTIcap.FederationExecutionNameHelper.type());
              _list.add_value("executionName", _executionName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _FED = _orb().create_any();
              _FED.type(RTIcap.FileNameHelper.type());
              _list.add_value("FED", _FED, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String executionName;
              executionName = RTIcap.FederationExecutionNameHelper.extract(_executionName);
              String FED;
              FED = RTIcap.FileNameHelper.extract(_FED);
              try {
                            this.createFederationExecution(executionName, FED);
              }
              catch (RTIcap.FederationExecutionAlreadyExists e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationExecutionAlreadyExistsHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 1: // npacrti.FederationManagerInterface.destroyFederationExecution
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _executionName = _orb().create_any();
              _executionName.type(RTIcap.FederationExecutionNameHelper.type());
              _list.add_value("executionName", _executionName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String executionName;
              executionName = RTIcap.FederationExecutionNameHelper.extract(_executionName);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.destroyFederationExecution(executionName, theFederate);
              }
              catch (RTIcap.FederatesCurrentlyJoined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederatesCurrentlyJoinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationExecutionDoesNotExist e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationExecutionDoesNotExistHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 2: // npacrti.FederationManagerInterface.joinFederationExecution
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _yourName = _orb().create_any();
              _yourName.type(RTIcap.FederateNameHelper.type());
              _list.add_value("yourName", _yourName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _executionName = _orb().create_any();
              _executionName.type(RTIcap.FederationExecutionNameHelper.type());
              _list.add_value("executionName", _executionName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _fedAmbassador = _orb().create_any();
              _fedAmbassador.type(RTIcap.FederateAmbassadorHelper.type());
              _list.add_value("fedAmbassador", _fedAmbassador, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String yourName;
              yourName = RTIcap.FederateNameHelper.extract(_yourName);
              String executionName;
              executionName = RTIcap.FederationExecutionNameHelper.extract(_executionName);
              RTIcap.FederateAmbassador fedAmbassador;
              fedAmbassador = RTIcap.FederateAmbassadorHelper.extract(_fedAmbassador);
              short ___result;
              try {
                            ___result = this.joinFederationExecution(yourName, executionName, fedAmbassador);
              }
              catch (RTIcap.FederateAlreadyExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateAlreadyExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationExecutionDoesNotExist e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationExecutionDoesNotExistHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.CouldNotOpenFED e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.CouldNotOpenFEDHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ErrorReadingFED e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ErrorReadingFEDHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederateHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 3: // npacrti.FederationManagerInterface.resignFederationExecution
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theAction = _orb().create_any();
              _theAction.type(RTIcap.ResignActionHelper.type());
              _list.add_value("theAction", _theAction, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _executionName = _orb().create_any();
              _executionName.type(RTIcap.FederateNameHelper.type());
              _list.add_value("executionName", _executionName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.ResignAction theAction;
              theAction = RTIcap.ResignActionHelper.extract(_theAction);
              String executionName;
              executionName = RTIcap.FederateNameHelper.extract(_executionName);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.resignFederationExecution(theAction, executionName, theFederate);
              }
              catch (RTIcap.FederateOwnsAttributes e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateOwnsAttributesHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidResignAction e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidResignActionHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 4: // npacrti.FederationManagerInterface.registerFederationSynchronizationPoint
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SynchronizationPointLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _tag = _orb().create_any();
              _tag.type(RTIcap.UserSuppliedTagHelper.type());
              _list.add_value("tag", _tag, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SynchronizationPointLabelHelper.extract(_label);
              String tag;
              tag = RTIcap.UserSuppliedTagHelper.extract(_tag);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.registerFederationSynchronizationPoint(label, tag, theFederate);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 5: // npacrti.FederationManagerInterface.registerFederationSynchronizationPointWithSet
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SynchronizationPointLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _tag = _orb().create_any();
              _tag.type(RTIcap.UserSuppliedTagHelper.type());
              _list.add_value("tag", _tag, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _syncSet = _orb().create_any();
              _syncSet.type(RTIcap.FederateHandleSetHelper.type());
              _list.add_value("syncSet", _syncSet, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SynchronizationPointLabelHelper.extract(_label);
              String tag;
              tag = RTIcap.UserSuppliedTagHelper.extract(_tag);
              short[] syncSet;
              syncSet = RTIcap.FederateHandleSetHelper.extract(_syncSet);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.registerFederationSynchronizationPointWithSet(label, tag, syncSet, theFederate);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 6: // npacrti.FederationManagerInterface.synchronizationPointAchieved
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SynchronizationPointLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SynchronizationPointLabelHelper.extract(_label);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.synchronizationPointAchieved(label, theFederate);
              }
              catch (RTIcap.SynchronizationPointLabelWasNotAnounced e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SynchronizationPointLabelWasNotAnouncedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 7: // npacrti.FederationManagerInterface.requestFederationSaveWithTime
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SaveLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SaveLabelHelper.extract(_label);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.requestFederationSaveWithTime(label, theTime, theFederate);
              }
              catch (RTIcap.FederationTimeAlreadyPassed e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidFederationTime e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 8: // npacrti.FederationManagerInterface.requestFederationSave
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SaveLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SaveLabelHelper.extract(_label);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.requestFederationSave(label, theFederate);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 9: // npacrti.FederationManagerInterface.federateSaveBegun
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.federateSaveBegun(theFederate);
              }
              catch (RTIcap.SaveNotInitiated e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveNotInitiatedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 10: // npacrti.FederationManagerInterface.federateSaveComplete
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.federateSaveComplete(theFederate);
              }
              catch (RTIcap.SaveNotInitiated e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveNotInitiatedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 11: // npacrti.FederationManagerInterface.federateSaveNotComplete
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.federateSaveNotComplete(theFederate);
              }
              catch (RTIcap.SaveNotInitiated e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveNotInitiatedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 12: // npacrti.FederationManagerInterface.requestFederationRestore
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _label = _orb().create_any();
              _label.type(RTIcap.SaveLabelHelper.type());
              _list.add_value("label", _label, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String label;
              label = RTIcap.SaveLabelHelper.extract(_label);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.requestFederationRestore(label, theFederate);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 13: // npacrti.FederationManagerInterface.federateRestoreComplete
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.federateRestoreComplete(theFederate);
              }
              catch (RTIcap.RestoreNotRequested e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreNotRequestedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 14: // npacrti.FederationManagerInterface.federateRestoreNotComplete
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFederate = _orb().create_any();
              _theFederate.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFederate", _theFederate, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFederate;
              theFederate = RTIcap.FederateHandleHelper.extract(_theFederate);
              try {
                            this.federateRestoreNotComplete(theFederate);
              }
              catch (RTIcap.RestoreNotRequested e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreNotRequestedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 15: // npacrti.FederationExecutionInterface.getFederationManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.FederationManagerInterface ___result;
                            ___result = this.getFederationManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.FederationManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 16: // npacrti.FederationExecutionInterface.getDeclarationManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.DeclarationManagerInterface ___result;
                            ___result = this.getDeclarationManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.DeclarationManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 17: // npacrti.FederationExecutionInterface.getObjectManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.ObjectManagerInterface ___result;
                            ___result = this.getObjectManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.ObjectManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 18: // npacrti.FederationExecutionInterface.getOwnershipManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.OwnershipManagerInterface ___result;
                            ___result = this.getOwnershipManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.OwnershipManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 19: // npacrti.FederationExecutionInterface.getDataDistributionManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.DataDistributionManagerInterface ___result;
                            ___result = this.getDataDistributionManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.DataDistributionManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 20: // npacrti.FederationExecutionInterface.getTimeManager
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.TimeManagerInterface ___result;
                            ___result = this.getTimeManager();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.TimeManagerInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 21: // npacrti.FederationExecutionInterface.getRTIServices
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              npacrti.RTIServicesInterface ___result;
                            ___result = this.getRTIServices();
              org.omg.CORBA.Any __result = _orb().create_any();
              npacrti.RTIServicesInterfaceHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
