/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_FederationManagerInterfaceStub.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public class _FederationManagerInterfaceStub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements npacrti.FederationManagerInterface {

    public _FederationManagerInterfaceStub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:npacrti/FederationManagerInterface:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	    Implementation of ::npacrti::FederationManagerInterface::createFederationExecution
    public void createFederationExecution(String executionName, String FED)
        throws RTIcap.FederationExecutionAlreadyExists, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("createFederationExecution");
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _FED = r.add_in_arg();
           RTIcap.FileNameHelper.insert(_FED, FED);
           r.exceptions().add(RTIcap.FederationExecutionAlreadyExistsHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationExecutionAlreadyExistsHelper.type())) {
                   throw RTIcap.FederationExecutionAlreadyExistsHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::destroyFederationExecution
    public void destroyFederationExecution(String executionName, short theFederate)
        throws RTIcap.FederatesCurrentlyJoined, RTIcap.FederationExecutionDoesNotExist, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("destroyFederationExecution");
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederatesCurrentlyJoinedHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederatesCurrentlyJoinedHelper.type())) {
                   throw RTIcap.FederatesCurrentlyJoinedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::joinFederationExecution
    public short joinFederationExecution(String yourName, String executionName, RTIcap.FederateAmbassador fedAmbassador)
        throws RTIcap.FederateAlreadyExecutionMember, RTIcap.FederationExecutionDoesNotExist, RTIcap.CouldNotOpenFED, RTIcap.ErrorReadingFED, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("joinFederationExecution");
           r.set_return_type(RTIcap.FederateHandleHelper.type());
           org.omg.CORBA.Any _yourName = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_yourName, yourName);
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _fedAmbassador = r.add_in_arg();
           RTIcap.FederateAmbassadorHelper.insert(_fedAmbassador, fedAmbassador);
           r.exceptions().add(RTIcap.FederateAlreadyExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.CouldNotOpenFEDHelper.type());
           r.exceptions().add(RTIcap.ErrorReadingFEDHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateAlreadyExecutionMemberHelper.type())) {
                   throw RTIcap.FederateAlreadyExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.CouldNotOpenFEDHelper.type())) {
                   throw RTIcap.CouldNotOpenFEDHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ErrorReadingFEDHelper.type())) {
                   throw RTIcap.ErrorReadingFEDHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
           short __result;
           __result = RTIcap.FederateHandleHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::resignFederationExecution
    public void resignFederationExecution(RTIcap.ResignAction theAction, String executionName, short theFederate)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("resignFederationExecution");
           org.omg.CORBA.Any _theAction = r.add_in_arg();
           RTIcap.ResignActionHelper.insert(_theAction, theAction);
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederateOwnsAttributesHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.InvalidResignActionHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateOwnsAttributesHelper.type())) {
                   throw RTIcap.FederateOwnsAttributesHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidResignActionHelper.type())) {
                   throw RTIcap.InvalidResignActionHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::registerFederationSynchronizationPoint
    public void registerFederationSynchronizationPoint(String label, String tag, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("registerFederationSynchronizationPoint");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SynchronizationPointLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _tag = r.add_in_arg();
           RTIcap.UserSuppliedTagHelper.insert(_tag, tag);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::registerFederationSynchronizationPointWithSet
    public void registerFederationSynchronizationPointWithSet(String label, String tag, short[] syncSet, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("registerFederationSynchronizationPointWithSet");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SynchronizationPointLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _tag = r.add_in_arg();
           RTIcap.UserSuppliedTagHelper.insert(_tag, tag);
           org.omg.CORBA.Any _syncSet = r.add_in_arg();
           RTIcap.FederateHandleSetHelper.insert(_syncSet, syncSet);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::synchronizationPointAchieved
    public void synchronizationPointAchieved(String label, short theFederate)
        throws RTIcap.SynchronizationPointLabelWasNotAnounced, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("synchronizationPointAchieved");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SynchronizationPointLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.SynchronizationPointLabelWasNotAnouncedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SynchronizationPointLabelWasNotAnouncedHelper.type())) {
                   throw RTIcap.SynchronizationPointLabelWasNotAnouncedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::requestFederationSaveWithTime
    public void requestFederationSaveWithTime(String label, double theTime, short theFederate)
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("requestFederationSaveWithTime");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _theTime = r.add_in_arg();
           RTIcap.FederationTimeHelper.insert(_theTime, theTime);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederationTimeAlreadyPassedHelper.type());
           r.exceptions().add(RTIcap.InvalidFederationTimeHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationTimeAlreadyPassedHelper.type())) {
                   throw RTIcap.FederationTimeAlreadyPassedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidFederationTimeHelper.type())) {
                   throw RTIcap.InvalidFederationTimeHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::requestFederationSave
    public void requestFederationSave(String label, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("requestFederationSave");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::federateSaveBegun
    public void federateSaveBegun(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("federateSaveBegun");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::federateSaveComplete
    public void federateSaveComplete(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("federateSaveComplete");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::federateSaveNotComplete
    public void federateSaveNotComplete(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("federateSaveNotComplete");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::requestFederationRestore
    public void requestFederationRestore(String label, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("requestFederationRestore");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.RestoreInProgressHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreInProgressHelper.type())) {
                   throw RTIcap.RestoreInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::federateRestoreComplete
    public void federateRestoreComplete(short theFederate)
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("federateRestoreComplete");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.RestoreNotRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.RestoreNotRequestedHelper.type())) {
                   throw RTIcap.RestoreNotRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface::federateRestoreNotComplete
    public void federateRestoreNotComplete(short theFederate)
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError {
           org.omg.CORBA.Request r = _request("federateRestoreNotComplete");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           r.exceptions().add(RTIcap.RestoreNotRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.RestoreNotRequestedHelper.type())) {
                   throw RTIcap.RestoreNotRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
           }
   }

};
