/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_RTIServicesInterfaceImplBase.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public abstract class _RTIServicesInterfaceImplBase extends org.omg.CORBA.DynamicImplementation implements npacrti.RTIServicesInterface {
    // Constructor
    public _RTIServicesInterfaceImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:npacrti/RTIServicesInterface:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("getFederateHandle", new java.lang.Integer(0));
      _methods.put("getFederateName", new java.lang.Integer(1));
      _methods.put("turnRegulationOn", new java.lang.Integer(2));
      _methods.put("turnRegulationOnNow", new java.lang.Integer(3));
      _methods.put("turnRegulationOff", new java.lang.Integer(4));
      _methods.put("setTimeConstrained", new java.lang.Integer(5));
      _methods.put("getObjectClassHandle", new java.lang.Integer(6));
      _methods.put("getObjectClassName", new java.lang.Integer(7));
      _methods.put("getAttributeHandle", new java.lang.Integer(8));
      _methods.put("getAttributeName", new java.lang.Integer(9));
      _methods.put("getInteractionClassHandle", new java.lang.Integer(10));
      _methods.put("getInteractionClassName", new java.lang.Integer(11));
      _methods.put("getParameterHandle", new java.lang.Integer(12));
      _methods.put("getParameterName", new java.lang.Integer(13));
      _methods.put("getObjectInstanceHandle", new java.lang.Integer(14));
      _methods.put("getObjectInstanceName", new java.lang.Integer(15));
      _methods.put("getSpaceHandle", new java.lang.Integer(16));
      _methods.put("getSpaceName", new java.lang.Integer(17));
      _methods.put("getDimensionHandle", new java.lang.Integer(18));
      _methods.put("getDimensionName", new java.lang.Integer(19));
      _methods.put("getAttributeRoutingSpaceHandle", new java.lang.Integer(20));
      _methods.put("getObjectClass", new java.lang.Integer(21));
      _methods.put("getInteractionRoutingSpaceHandle", new java.lang.Integer(22));
      _methods.put("getTransportationHandle", new java.lang.Integer(23));
      _methods.put("getTransportationName", new java.lang.Integer(24));
      _methods.put("getOrderingHandle", new java.lang.Integer(25));
      _methods.put("getOrderingName", new java.lang.Integer(26));
      _methods.put("enableClassRelevanceAdvisorySwitch", new java.lang.Integer(27));
      _methods.put("disableClassRelevanceAdvisorySwitch", new java.lang.Integer(28));
      _methods.put("enableAttributeRelevanceAdvisorySwitch", new java.lang.Integer(29));
      _methods.put("disableAttributeRelevanceAdvisorySwitch", new java.lang.Integer(30));
      _methods.put("enableAttributeScopeAdvisorySwitch", new java.lang.Integer(31));
      _methods.put("disableAttributeScopeAdvisorySwitch", new java.lang.Integer(32));
      _methods.put("enableInteractionRelevanceAdvisorySwitch", new java.lang.Integer(33));
      _methods.put("disableInteractionRelevanceAdvisorySwitch", new java.lang.Integer(34));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // npacrti.RTIServicesInterface.getFederateHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.FederateNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.FederateNameHelper.extract(_theName);
              short ___result;
              try {
                            ___result = this.getFederateHandle(theName);
              }
              catch (RTIcap.FederateDoesNotExist e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateDoesNotExistHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.UnimplementedService e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.UnimplementedServiceHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederateHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 1: // npacrti.RTIServicesInterface.getFederateName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getFederateName(theHandle);
              }
              catch (RTIcap.FederateDoesNotExist e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateDoesNotExistHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.UnimplementedService e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.UnimplementedServiceHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederateNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 2: // npacrti.RTIServicesInterface.turnRegulationOn
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.turnRegulationOn();
              }
              catch (RTIcap.FederationTimeAlreadyPassed e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 3: // npacrti.RTIServicesInterface.turnRegulationOnNow
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              double ___result;
              try {
                            ___result = this.turnRegulationOnNow();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederationTimeHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 4: // npacrti.RTIServicesInterface.turnRegulationOff
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.turnRegulationOff();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 5: // npacrti.RTIServicesInterface.setTimeConstrained
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _state = _orb().create_any();
              _state.type(RTIcap._BooleanHelper.type());
              _list.add_value("state", _state, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap._Boolean state;
              state = RTIcap._BooleanHelper.extract(_state);
              try {
                            this.setTimeConstrained(state);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.Deadlock e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DeadlockHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 6: // npacrti.RTIServicesInterface.getObjectClassHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.ObjectClassNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.ObjectClassNameHelper.extract(_theName);
              short ___result;
              try {
                            ___result = this.getObjectClassHandle(theName);
              }
              catch (RTIcap.NameNotFound e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectClassHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 7: // npacrti.RTIServicesInterface.getObjectClassName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.ObjectClassHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getObjectClassName(theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectClassNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 8: // npacrti.RTIServicesInterface.getAttributeHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.AttributeNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _whichClass = _orb().create_any();
              _whichClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("whichClass", _whichClass, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.AttributeNameHelper.extract(_theName);
              short whichClass;
              whichClass = RTIcap.ObjectClassHandleHelper.extract(_whichClass);
              short ___result;
              try {
                            ___result = this.getAttributeHandle(theName, whichClass);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.NameNotFound e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.AttributeHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 9: // npacrti.RTIServicesInterface.getAttributeName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.AttributeHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _whichClass = _orb().create_any();
              _whichClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("whichClass", _whichClass, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.AttributeHandleHelper.extract(_theHandle);
              short whichClass;
              whichClass = RTIcap.ObjectClassHandleHelper.extract(_whichClass);
              String ___result;
              try {
                            ___result = this.getAttributeName(theHandle, whichClass);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.AttributeNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 10: // npacrti.RTIServicesInterface.getInteractionClassHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.InteractionClassNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.InteractionClassNameHelper.extract(_theName);
              short ___result;
              try {
                            ___result = this.getInteractionClassHandle(theName);
              }
              catch (RTIcap.NameNotFound e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.InteractionClassHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 11: // npacrti.RTIServicesInterface.getInteractionClassName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.InteractionClassHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getInteractionClassName(theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.InteractionClassNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 12: // npacrti.RTIServicesInterface.getParameterHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.ParameterNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _whichClass = _orb().create_any();
              _whichClass.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("whichClass", _whichClass, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.ParameterNameHelper.extract(_theName);
              short whichClass;
              whichClass = RTIcap.InteractionClassHandleHelper.extract(_whichClass);
              short ___result;
              try {
                            ___result = this.getParameterHandle(theName, whichClass);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.NameNotFound e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ParameterHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 13: // npacrti.RTIServicesInterface.getParameterName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.ParameterHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _whichClass = _orb().create_any();
              _whichClass.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("whichClass", _whichClass, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.ParameterHandleHelper.extract(_theHandle);
              short whichClass;
              whichClass = RTIcap.InteractionClassHandleHelper.extract(_whichClass);
              String ___result;
              try {
                            ___result = this.getParameterName(theHandle, whichClass);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionParameterNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionParameterNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ParameterNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 14: // npacrti.RTIServicesInterface.getObjectInstanceHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.ObjectNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.ObjectNameHelper.extract(_theName);
              int ___result;
              try {
                            ___result = this.getObjectInstanceHandle(theName);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 15: // npacrti.RTIServicesInterface.getObjectInstanceName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theHandle;
              theHandle = RTIcap.ObjectHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getObjectInstanceName(theHandle);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 16: // npacrti.RTIServicesInterface.getSpaceHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.SpaceNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.SpaceNameHelper.extract(_theName);
              int ___result;
              try {
                            ___result = this.getSpaceHandle(theName);
              }
              catch (RTIcap.NameNotFound e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.SpaceHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 17: // npacrti.RTIServicesInterface.getSpaceName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.SpaceHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theHandle;
              theHandle = RTIcap.SpaceHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getSpaceName(theHandle);
              }
              catch (RTIcap.SpaceNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SpaceNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.SpaceNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 18: // npacrti.RTIServicesInterface.getDimensionHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.DimensionNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.SpaceHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.DimensionNameHelper.extract(_theName);
              int theHandle;
              theHandle = RTIcap.SpaceHandleHelper.extract(_theHandle);
              int ___result;
              try {
                            ___result = this.getDimensionHandle(theName, theHandle);
              }
              catch (RTIcap.SpaceNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SpaceNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.NameNotFound e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.DimensionHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 19: // npacrti.RTIServicesInterface.getDimensionName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theDimHandle = _orb().create_any();
              _theDimHandle.type(RTIcap.DimensionHandleHelper.type());
              _list.add_value("theDimHandle", _theDimHandle, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theSpcHandle = _orb().create_any();
              _theSpcHandle.type(RTIcap.SpaceHandleHelper.type());
              _list.add_value("theSpcHandle", _theSpcHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theDimHandle;
              theDimHandle = RTIcap.DimensionHandleHelper.extract(_theDimHandle);
              int theSpcHandle;
              theSpcHandle = RTIcap.SpaceHandleHelper.extract(_theSpcHandle);
              String ___result;
              try {
                            ___result = this.getDimensionName(theDimHandle, theSpcHandle);
              }
              catch (RTIcap.SpaceNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SpaceNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.DimensionNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.DimensionNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.DimensionNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 20: // npacrti.RTIServicesInterface.getAttributeRoutingSpaceHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.AttributeHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _whichClass = _orb().create_any();
              _whichClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("whichClass", _whichClass, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.AttributeHandleHelper.extract(_theHandle);
              short whichClass;
              whichClass = RTIcap.ObjectClassHandleHelper.extract(_whichClass);
              int ___result;
              try {
                            ___result = this.getAttributeRoutingSpaceHandle(theHandle, whichClass);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.SpaceHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 21: // npacrti.RTIServicesInterface.getObjectClass
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theHandle;
              theHandle = RTIcap.ObjectHandleHelper.extract(_theHandle);
              short ___result;
              try {
                            ___result = this.getObjectClass(theHandle);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectClassHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 22: // npacrti.RTIServicesInterface.getInteractionRoutingSpaceHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.InteractionClassHandleHelper.extract(_theHandle);
              int ___result;
              try {
                            ___result = this.getInteractionRoutingSpaceHandle(theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.SpaceHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 23: // npacrti.RTIServicesInterface.getTransportationHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.TransportationNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.TransportationNameHelper.extract(_theName);
              int ___result;
              try {
                            ___result = this.getTransportationHandle(theName);
              }
              catch (RTIcap.NameNotFound e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.TransportationHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 24: // npacrti.RTIServicesInterface.getTransportationName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.TransportationHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theHandle;
              theHandle = RTIcap.TransportationHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getTransportationName(theHandle);
              }
              catch (RTIcap.InvalidTransportationHandle e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidTransportationHandleHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.TransportationNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 25: // npacrti.RTIServicesInterface.getOrderingHandle
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.OrderingNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              String theName;
              theName = RTIcap.OrderingNameHelper.extract(_theName);
              int ___result;
              try {
                            ___result = this.getOrderingHandle(theName);
              }
              catch (RTIcap.NameNotFound e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.NameNotFoundHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.OrderingHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 26: // npacrti.RTIServicesInterface.getOrderingName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.OrderingHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theHandle;
              theHandle = RTIcap.OrderingHandleHelper.extract(_theHandle);
              String ___result;
              try {
                            ___result = this.getOrderingName(theHandle);
              }
              catch (RTIcap.InvalidOrderingHandle e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidOrderingHandleHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.OrderingNameHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 27: // npacrti.RTIServicesInterface.enableClassRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.enableClassRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 28: // npacrti.RTIServicesInterface.disableClassRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.disableClassRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 29: // npacrti.RTIServicesInterface.enableAttributeRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.enableAttributeRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 30: // npacrti.RTIServicesInterface.disableAttributeRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.disableAttributeRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 31: // npacrti.RTIServicesInterface.enableAttributeScopeAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.enableAttributeScopeAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 32: // npacrti.RTIServicesInterface.disableAttributeScopeAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.disableAttributeScopeAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 33: // npacrti.RTIServicesInterface.enableInteractionRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.enableInteractionRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 34: // npacrti.RTIServicesInterface.disableInteractionRelevanceAdvisorySwitch
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              r.params(_list);
              try {
                            this.disableInteractionRelevanceAdvisorySwitch();
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
