
/**
* This objects keeps the state of Country objects for HelloWorld
* simulation.
*
* @date May 11, 1998 ( Updated May 11, 1998 )
* @author H. Timucin Ozdemir
*
*/
public class
Country
{
   protected double myPopulation = 100f;
   protected String myCountryName = null; 
   protected int    ObjectID = -1;
   protected double currentTime = 0;
   
   /**
   */
   public Country( ) 
   { ; }// end of CONSTRUCTOR

   /**
   */
   public Country( int _ObjectID ) 
   { ObjectID= _ObjectID; }// end of CONSTRUCTOR

   /**
   */
   public Country( String _name, double _initialPopulation , int _ObjectID )
   {
      setName(_name);
      setPopulation(_initialPopulation);
      setObjectID(_ObjectID);
   }// end of CONSTRUCTOR

   /**
   */
   public void
   setName(String _newName) { myCountryName = _newName;  }

   /**
   */
   public void
   setPopulation(double _population) { myPopulation = _population; } 

   /**
   */
   public void
   setObjectID( int _ObjectID) { ObjectID = _ObjectID;  }

   /**
   */
   public void
   setCurrentTime( double _time) { currentTime = _time;  }

   /**
   */
   public double
   getPopulation() { return myPopulation; }

   /**
   */
   public String
   getName() { return myCountryName; }

   /**
   */
   public int
   getObjectID() { return ObjectID; }

   /**
   */
   public double
   getCurrentTime( ) { return currentTime ;  }
   
}// end of Country
