package owrti;

import npacrti.*;
import java.util.*;

/**
*/
public class Broadcaster implements Runnable
{

        Thread  runner;
       boolean  broadcast;
   Enumeration  e; 
     EventInfo  evt;

   /**
   */
   public
   Broadcaster(Enumeration _e, EventInfo _evt)
   {
       e = _e;
       evt = _evt;
       broadcast = true;

   }// end of CONSTRUCTOR


   /**
   */
   public void
   broadcast()
   {  if(broadcast) start(); }

   /**
   */
   public void
   start()
   {
      if(runner==null)
      {
          runner = new Thread(this);
          runner.start();
      }

   }// end of start

   /**
   */
   public void
   stop()
   {
      if(runner!=null)
      {
          runner.stop();
          runner = null;
      }

   }// end of start

   /**
   */
   public void
   run()
   {
      if(broadcast) { broadcast = false; processBroadcast(); }

   }// end of run

   /**
   */
   public void 
   processBroadcast()
   {
      FederateInfo fInf; 
      for(;e.hasMoreElements();)
      {
         fInf = (FederateInfo) e.nextElement();
         if(fInf!=null) fInf.addEventInfo(evt);
 
      }// end of for

   }// end of processBroadcast()


}// end of Broadcaster
