/**
*/
package owrti;

import RTIcap.*;


/**
*/
public class 
DimensionInfo implements RTIDebug
{

   short  theHandle;
   String theName;
   double dim_lower_bound;
   double dim_upper_bound;

   /**
   */
   public
   DimensionInfo( short _theHandle, String _theName, double _dim_lower_bound, 
                  double _dim_upper_bound)
   {

      theHandle = _theHandle;
      theName   = _theName;
      dim_lower_bound = Math.min(_dim_lower_bound,_dim_upper_bound);
      dim_upper_bound = Math.max(_dim_lower_bound,_dim_upper_bound);

   }// end of CONSTRUCTOR

   /**
   */
   public short 
   getHandle() { return theHandle; }

   /**
   */
   public String 
   getName() { return theName; }

   /**
   */
   public int
   getLowerBound() { return (int)dim_lower_bound; }

   /**
   */
   public int
   getUpperBound() { return (int)dim_upper_bound; }

}// end of DimensionInfo



