/**
*/
package owrti;

import RTIcap.*;
import java.util.*;


/**
*/
public class 
EventInfo implements RTIDebug
{

   public static int LOCAL = 0;
   public static int GLOBAL = 1;

   int  theHandle;
   int  type; 
   double time; 

   /**
   */
   public
   EventInfo( int _theHandle, int _type)
   {

      theHandle = _theHandle;
      type = GLOBAL;
      if(_type==LOCAL) type = LOCAL;
      time = 100000000f;

   }// end of CONSTRUCTOR

   /**
   */
   public
   EventInfo( int _theHandle, int _type, double _time)
   {

      theHandle = _theHandle;
      type = GLOBAL;
      if(_type==LOCAL) type = LOCAL;
      time = _time;

   }// end of CONSTRUCTOR

   /**
   */
   public int 
   getHandle() { return theHandle; }

   /**
   */
   public int 
   getType() { return type; }

   /**
   */
   public double 
   getTime() { return time; }

   /**
   */
   public String 
   toString() 
   { 
      String ret = (type==EventInfo.LOCAL?" Local ":" Global ")+
                   " id: "+theHandle+" @ "+time;
      return ret; 

   }// end of toString()

}// end of EventInfo



