package owrti;

import RTIcap.*;

/**
*/
public class 
EvtStartInteractionGeneration implements RTIEvent, RTIDebug 
{

   int ClassID;
   double timeStamp;
   short  theFederate;

   /**
   */
   public 
   EvtStartInteractionGeneration( int _ClassID, short _theFederate )
   {
      theFederate = _theFederate;
      ClassID  = _ClassID;
      timeStamp = -1;

   }// end of CONSTRUCTOR
   
   /**
   */
   public 
   EvtStartInteractionGeneration( int _ClassID, short _theFederate, 
                                  double _timeStamp )
   {
      theFederate = _theFederate;
      ClassID  = _ClassID;
      timeStamp = _timeStamp;

   }// end of CONSTRUCTOR

   /**
   */
   public double
   getTimeStamp() {  return timeStamp; }

   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
         //fed.startInteractionGeneration((short)ClassID);
         fed.turnInteractionsOn((short)ClassID);

      } catch(RTIcap.FederateInternalError fie) {}
        catch(RTIcap.InteractionClassNotPublished ocnk) {}

   }// end of execute()

}// end of class EvtStartInteraction

