package owrti;

import RTIcap.*;

/**
* 
* @date April 22, 1998 ( Updated at April 22, 1998 )
* @author H. Timucin Ozdemir
* 
*/
public class EvtStartRegistrationForObjectClass implements RTIEvent, RTIDebug 
{

   short objectClassHandle;

   /**
   */
   public EvtStartRegistrationForObjectClass( short _objectClassHandle)
   {
      objectClassHandle = _objectClassHandle;
   }// end of CONSTRUCTOR

   /**
   */
   public double getTimeStamp() { return 0f; }
   
   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
        fed.startRegistrationForObjectClass(objectClassHandle); 
      } catch (ObjectClassNotPublished ex1) {}
        catch (AttributeNotPublished ex1) {}
        catch (FederateInternalError ex1) {}

   }// end of execute()

}// end of class EvtStartRegistrationForObjectClass

