package owrti;

import RTIcap.*;

/**
*/
public class 
EvtStopInteractionGeneration implements RTIEvent, RTIDebug 
{

   int ClassID;
   double timeStamp;
   short  theFederate;

   /**
   */
   public 
   EvtStopInteractionGeneration( int _ClassID, short _theFederate )
   {
      theFederate = _theFederate;
      ClassID  = _ClassID;
      timeStamp = -1;

   }// end of CONSTRUCTOR
   
   /**
   */
   public 
   EvtStopInteractionGeneration( int _ClassID, short _theFederate, 
                                  double _timeStamp )
   {
      theFederate = _theFederate;
      ClassID  = _ClassID;
      timeStamp = _timeStamp;

   }// end of CONSTRUCTOR

   /**
   */
   public double
   getTimeStamp() {  return timeStamp; }

   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
         //fed.stopInteractionGeneration((short)ClassID);
         fed.turnInteractionsOff((short)ClassID);

      } catch(RTIcap.FederateInternalError fie) {}
        catch(RTIcap.InteractionClassNotPublished ocnk) {}

   }// end of execute()

   /**
   */
   public String
   toString() 
   {  return new String(" turnInteractionsOff cID :"+ClassID+" @ "+timeStamp);
   }// end of toString()

}// end of class EvtStopInteractionGeneration

