package owrti;

import RTIcap.*;

/**
*/
public class EvtTimeConstrainedEnabled implements RTIEvent, RTIDebug 
{

   double timeStamp;

   /**
   */
   public EvtTimeConstrainedEnabled( double _timeStamp)
   {
      timeStamp = _timeStamp;
   }// end of CONSTRUCTOR
   
   /**
   */
   public double
   getTimeStamp() {  return timeStamp; }

   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
         fed.timeConstrainedEnabled(timeStamp);

       } catch(RTIcap.FederateInternalError fie) {}
         catch(RTIcap.InvalidFederationTime ift) {}
         catch(RTIcap.EnableTimeConstrainedWasNotPending etrwnp) {}

   }// end of execute()
   
   /**
   */
   public String
   toString() {  return new String(" timeConstrainedEnabled @ "+timeStamp); }

}// end of class EvtTimeConstrainedEnabled

