package owrti;

import RTIcap.*;

/**
* 
* @date April 22, 1998 ( Updated at April 22, 1998 )
* @author H. Timucin Ozdemir
* 
*/
public class EvtTurnUpdatesOnForObjectInstance implements RTIEvent, RTIDebug 
{

   int    ObjectID;
   short[] theAttributes;
   double timeStamp = -1f;

   /**
   */
   public EvtTurnUpdatesOnForObjectInstance( int _ObjectID, short[] _attribs)
   {
       ObjectID = _ObjectID;
       theAttributes = _attribs;
   }// end of CONSTRUCTOR
   
   /**
   */
   public double
   getTimeStamp() {  return timeStamp; }

   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
      fed.turnUpdatesOnForObjectInstance(ObjectID,theAttributes);
      } catch(RTIcap.AttributeNotOwned ano) {}
        catch(RTIcap.FederateInternalError fie) {}
        catch(RTIcap.ObjectNotKnown onk) {}
   }

   /**
   */
   public final String 
   toString()
   {
      String ret = new String(" turnUpdatesOnForObjectInstance oID : "+ObjectID);
      if(theAttributes.length>0)
      {
         ret += (" a: "+theAttributes[0]);
         for(int i=1;i<theAttributes.length;i++) ret += (","+theAttributes[i]);
      }// end of if

      ret += (" @ "+timeStamp);

      return ret;

   }// end of toString()

}// end of class EvtTurnUpdatesOnForObjectInstance

