/**
*/
package owrti;

import RTIcap.*;


/**
*/
public class 
ParameterInfo implements RTIDebug
{

   short  theHandle;
   String theName;
   RTIcap.TransportType trans;
   RTIcap.OrderType     order;

   ParameterWatcher paramWatcher ;

   /**
   */
   public
   ParameterInfo( short _theHandle, String _theName, 
                  RTIcap.TransportType _trans, RTIcap.OrderType _order)
   {

      theHandle = _theHandle;
      theName   = _theName;
      trans     = _trans;
      order     = _order;

      paramWatcher = new ParameterWatcher(this);

   }// end of CONSTRUCTOR

   /**
   */
   public ParameterWatcher 
   getParameterWatcher() { return paramWatcher; }

   /**
   */
   public short 
   getHandle() { return theHandle; }

   /**
   */
   public String 
   getName() { return theName; }

   /**
   */
   public RTIcap.TransportType 
   getTransportType() { return trans; }

   /**
   */
   public RTIcap.OrderType 
   getOrderType() { return order; }

   /**
   */
   public void
   setTransportType(RTIcap.TransportType _trans) { trans = _trans; }

   /**
   */
   public void
   setOrderType(RTIcap.OrderType _order) { order=_order; }

}// end of ParameterInfo



