package owrti;

import java.util.*;

/**
*
* @date April 22, 1998 ( Updated at April 22, 1998 )
* @author H. Timucin Ozdemir
*
*/
public class 
RequestOwnershipTableEntry implements RTIDebug 
{

   short   theFederate;
   int     theObject;
   short[] theAttribute;
   int     evtId;

   /**
   */
   public
   RequestOwnershipTableEntry(short _theFederate,  int _theObject, 
                              short _theAttribute, int _evtId)
   {
      theFederate = _theFederate;
      theObject   = _theObject;
      theAttribute = new short[1];
      theAttribute[0] = _theAttribute;
      evtId = _evtId;
   }

   /**
   */
   public
   RequestOwnershipTableEntry(short _theFederate,     int _theObject, 
                              short[] _theAttributes, int _evtId)
   {
      theFederate = _theFederate;
      theObject   = _theObject;
      theAttribute = new short[_theAttributes.length];
      for(int i=0;i<_theAttributes.length;i++)
          theAttribute[i] = _theAttributes[i];
      evtId = _evtId;
   }

   /**
   */
   public short
   getFederateID() { return theFederate;}

   /**
   */
   public int
   getObjectID() { return theObject; }

   /**
   */
   public int
   getEventID() { return evtId; }

   /**
   */
   public short[]
   getAttributes() { return theAttribute; }

}// end of class  RequestOwnershipTableEntry

