
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "HostPort.h"

/**
*/
HostPort::HostPort() 
{
   port = -1;

}// end of constructor

/**
*/
HostPort::HostPort(const char* _hName, int _port) 
{
   strncpy(hName,_hName,255); hName[255]=NULL;
   port = _port;

}// end of constructor

/**
*/
char *HostPort::getHostName() const
{
   char *ret = NULL;

   if(port>=0)
   {  ret = new char[256];
      strncpy(ret,hName,255); 
      ret[255]=NULL;
   }// end of if 

   return ret;

}// end of getHostName()

/**
*/
HostPort::getPort() const
{
    return port;

}// getPort()

/**
*/
char *HostPort::toString() const
{
   char *ret = NULL;

   if(port>=0)
   {  ret = new char[270];
      sprintf(ret,"%s:%d",hName,port);
   }// end of if

   return ret;

}// end of getHostName()

