
#ifndef _LOCATOR_H_
#define _LOCATOR_H_

#include "HostPort.h"

struct url_str
{
  long  fid;
  long  hid;
  int   depth;
  char  prot[10];
  char  host[60];
  char  path[255];
};

#define DEFAULT_FILE_NAME "kernel.srv"

class Locator
{
   public:

     Locator() ;

     Locator(const char* nFName) ; 

     ~Locator() ;

     getIOR(char *);
 
   private:

     char      fileName[256];
     HostPort  **hosts;
     int       index;
     char      flag;

     void readHosts();

#ifdef __WIN32__
     get_IOR(struct url_str *url, char* header, char *IOR);
	 connectsock(char *, char* , char *); 
#else
     get_IOR(struct url_str *url, char* header, char *IOR);
#endif

};// end of Locator

#endif
