CXXSRCS = RTIambassador.cc capFederateAmbassadorImpl.cc AttributeHandleSetFactoryImpl.cc AttributeSetFactoryImpl.cc ParameterSetFactoryImpl.cc FedTimeFactory.cc FederateHandleSetFactoryImpl.cc RTIcapSK.cc npacrtiSK.cc AttributeHandleValuePairSetImpl.cc ParameterHandleValuePairSetImpl.cc RTIfedTimeImpl.cc AttributeHandleSetImpl.cc FederateHandleSetImpl.cc Exception.cc FedTimeImpl.cc Locator.cc HostPort.cc 

OBJ     = RTIambassador.o capFederateAmbassadorImpl.o AttributeHandleSetFactoryImpl.o AttributeSetFactoryImpl.o ParameterSetFactoryImpl.o FedTimeFactory.o FederateHandleSetFactoryImpl.o RTIcapSK.o npacrtiSK.o AttributeHandleValuePairSetImpl.o ParameterHandleValuePairSetImpl.o RTIfedTimeImpl.o AttributeHandleSetImpl.o FederateHandleSetImpl.o Exception.o FedTimeImpl.o Locator.o HostPort.o

DIR_CPPFLAGS = $(CORBA_CPPFLAGS) -PIC -mt -I. -I./include
LINK_FLAGS   = -G -I. -I./include -I../../../stub

#CORBA_INTERFACES = RTIcap npacrti

#CORBA_INTERFACES = RTIcap  npacrti
MY_INTERFACES = RTIcap  npacrti

libRTIN       = $(patsubst %,$(BinPattern),libRTIN)

all:: $(libRTIN) 

clean:: 
	$(RM) $(libRTIN.a) 
	$(RM) RTIcapSK.* npacrtiSK.* RTIcap.hh npacrti.hh
	$(RM) ../../../stub/RTIcapSK.*
	$(RM) ../../../stub/RTIcap.*
	$(RM) ../../../stub/npacrti.*

myclean: 
	$(RM) libRTIN.* 
	$(RM) RTIcapSK.* npacrtiSK.* RTIcap.hh npacrti.hh
	$(RM) ../../../stub/RTIcapSK.*
	$(RM) ../../../stub/RTIcap.*
	$(RM) ../../../stub/npacrti.*

export:: $(libRTIN.a) 
	@(module="echoexamples"; $(ExportExecutable))

$(libRTIN): $(OBJ) $(CORBA_STUB_OBJS) $(CORBA_LIB_DEPEND) libRTIN.a 
#	@(libs="$(LINK_FLAGS) $(CORBA_LIB)"; $(CXXExecutable))

libRTIN.a: $(OBJ)
	CC -G -KPIC -D_build_ -o libRTIN.so $(CORBA_CPPFLAGS) $(CXXSRCS) $(CORBA_LIB) $(IMPORT_LIBRARY_FLAGS) $(IMPORT_CPPFLAGS) -I. -I./include -I../../../include
	ar crv libRTIN.a $(OBJ) 

.cc.o: $(CXXSRCS)
	gcc $(DIR_CPPFLAGS) -c $<

#RTIcapSK1.cc : RTIcap.hh
#RTIcapSK2.cc : RTIcap.hh
#RTIcapSK3.cc : RTIcap.hh
#RTIcapSK4.cc : RTIcap.hh
RTIcapSK.cc : RTIcap.hh

RTIcap.hh : RTIcap.idl
	../../../bin/sun4_sosV_5.5/omniidl2 RTIcap.idl
	cp RTIcap.hh include

npacrtiSK.cc : npacrti.hh
npacrti.hh : npacrti.idl
	../../../bin/sun4_sosV_5.5/omniidl2 npacrti.idl
 
