//File RTI.hh

#ifdef __WIN32__
 #define WIN32
#endif

#ifdef _build_
#define BUILDING_RTI
#endif

#ifndef RTI_hh
#define RTI_hh

#include <fstream.h>
#include <math.h>
//#include <rw/rwfile.h>

struct RTIambPrivateRefs;
struct RTIambPrivateData;

#if defined(RTI_STATIC) || !defined(WIN32)
#define DLL_SYMBOL
#else
#ifdef BUILDING_RTI
#define DLL_SYMBOL __declspec(dllexport)
#else
#define DLL_SYMBOL __declspec(dllimport)
#endif
#endif

class DLL_SYMBOL RTI {
public:
  
#include "baseTypes.hh"
#include "RTItypes.hh"

  class DLL_SYMBOL RTIambassador {
  public:
#include "RTIambServices.hh"
    RTIambPrivateData* privateData;
  private:
    RTIambPrivateRefs* privateRefs;
  };

  class DLL_SYMBOL FederateAmbassador {
  public:
#include "federateAmbServices.hh"
  };
};

/*
DLL_SYMBOL ostream&
operator <<(ostream&, RTI::OrderType);

//DLL_SYMBOL ostream&
//operator <<(ostream&, RTI::OwnershipDivestitureCondition);
//DLL_SYMBOL ostream&
//operator <<(ostream&, RTI::ObjectRemovalReason);
//DLL_SYMBOL ostream&
//operator <<(ostream&, RTI::TokenState);

DLL_SYMBOL ostream&
operator <<(ostream&, RTI::TransportType);

DLL_SYMBOL ostream&
operator <<(ostream&, RTI::ResignAction);

DLL_SYMBOL ostream&
operator <<(ostream&, RTI::FederateStateType);

//DLL_SYMBOL ostream&
//operator <<(ostream&, RTI::FederationStateType);

DLL_SYMBOL ostream&
operator <<(ostream&, RTI::TimeManagerStateType);

DLL_SYMBOL ostream&
operator <<(ostream&, RTI::Boolean);
*/

#endif
