//File RTI.hh

#ifndef RTI_hh
#define RTI_hh

#include <fstream.h>
#include <math.h>
#include <rw/rwfile.h>

struct RTIambPrivateRefs;
struct RTIambPrivateData;

class RTI {
public:
  
#include "baseTypes.hh"
#include "RTItypes.hh"

  class RTIambassador {
  public:
#include "RTIambServices.hh"
    RTIambPrivateData* privateData;
  private:
    RTIambPrivateRefs* privateRefs;
  };

  class FederateAmbassador {
  public:
#include "federateAmbServices.hh"
  };
};

#endif
