/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/DataDistributionManagerInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface DataDistributionManagerInterface
    extends org.omg.CORBA.Object {
    RTIcap.Region createRegion(int theSpace, int numberOfExtents, short theHandle)
        throws RTIcap.SpaceNotDefined, RTIcap.InvalidExtents, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void notifyAboutRegionModification(RTIcap.Region theRegion, short theHandle)
        throws RTIcap.RegionNotKnown, RTIcap.InvalidExtents, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void deleteRegion(RTIcap.Region theRegion, short theHandle)
        throws RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstanceWithRegionAndName(short _class, String theName, short[] attributes, RTIcap.Region[] regions, int theNumberOfhandles, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.ObjectAlreadyRegistered, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    int registerObjectInstanceWithRegion(short _class, short[] attributes, RTIcap.Region[] regions, int theNumberOfhandles, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.ObjectClassNotPublished, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void associateRegionForUpdates(RTIcap.Region theRegion, int theObject, short[] theAttributes, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.InvalidRegionContext, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unassociateRegionForUpdates(RTIcap.Region theRegion, int theObject, short theHandle)
        throws RTIcap.RegionNotKnown, RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void subscribeObjectClassAttributesWithRegion(short theClass, RTIcap.Region theRegion, short[] attributeList, RTIcap._Boolean active, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeObjectClassWithRegion(short theClass, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void subscribeInteractionClassWithRegion(short theClass, RTIcap.Region theRegion, RTIcap._Boolean active, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateLoggingServiceCalls, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void unsubscribeInteractionClassWithRegion(short theClass, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotSubscribed, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    RTIcap.EventRetractionHandle sendInteractionWithRegionAndTime(short theInteraction, RTIcap.ParameterHandleValuePair[] parameters, double theTime, String theTag, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.InvalidFederationTime, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void sendInteractionWithRegion(short theInteraction, RTIcap.ParameterHandleValuePair[] parameters, String theTag, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.InteractionClassNotDefined, RTIcap.InteractionClassNotPublished, RTIcap.InteractionParameterNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestClassAttributeValueUpdateWithRegion(short theClass, short[] theAttributes, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.ObjectClassNotDefined, RTIcap.AttributeNotDefined, RTIcap.RegionNotKnown, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestObjectAttributeValueUpdateWithRegion(int theObject, short[] theAttributes, RTIcap.Region theRegion, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.RegionNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
}
