/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/FederationManagerInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface FederationManagerInterface
    extends org.omg.CORBA.Object {
    void createFederationExecution(String executionName, String FED)
        throws RTIcap.FederationExecutionAlreadyExists, RTIcap.RTIinternalError;
    void destroyFederationExecution(String executionName, short theFederate)
        throws RTIcap.FederatesCurrentlyJoined, RTIcap.FederationExecutionDoesNotExist, RTIcap.RTIinternalError;
    short joinFederationExecution(String yourName, String executionName, RTIcap.FederateAmbassador fedAmbassador)
        throws RTIcap.FederateAlreadyExecutionMember, RTIcap.FederationExecutionDoesNotExist, RTIcap.CouldNotOpenFED, RTIcap.ErrorReadingFED, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void resignFederationExecution(RTIcap.ResignAction theAction, String executionName, short theFederate)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.RTIinternalError;
    void registerFederationSynchronizationPoint(String label, String tag, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void registerFederationSynchronizationPointWithSet(String label, String tag, short[] syncSet, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void synchronizationPointAchieved(String label, short theFederate)
        throws RTIcap.SynchronizationPointLabelWasNotAnounced, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationSaveWithTime(String label, double theTime, short theFederate)
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationSave(String label, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveBegun(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveComplete(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateSaveNotComplete(short theFederate)
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void requestFederationRestore(String label, short theFederate)
        throws RTIcap.FederateNotExecutionMember, RTIcap.SaveInProgress, RTIcap.RestoreInProgress, RTIcap.RTIinternalError;
    void federateRestoreComplete(short theFederate)
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
    void federateRestoreNotComplete(short theFederate)
        throws RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.RTIinternalError;
}
