/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/FederationManagerInterface1.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface FederationManagerInterface1
    extends org.omg.CORBA.Object {
    void createFederationExecution(String executionName)
        throws RTIcap.FederationExecutionAlreadyExists, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void destroyFederationExecution(String executionName)
        throws RTIcap.FederatesCurrentlyJoined, RTIcap.FederationExecutionDoesNotExist, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    short joinFederationExecution(String yourName, String executionName, RTIcap.FederateAmbassador federateAmbassador)
        throws RTIcap.FederateAlreadyExecutionMember, RTIcap.FederationExecutionDoesNotExist, RTIcap.CouldNotOpenFED, RTIcap.ErrorReadingFED, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock;
    void resignFederationExecution(short theFederate, String executionName, RTIcap.ResignAction theAction)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateDoesNotExist, RTIcap.FederationExecutionDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void resignFederationExecution1(short theFederate, RTIcap.ResignAction theAction)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateDoesNotExist, RTIcap.FederationExecutionDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void requestPause(short handle, String name, String label)
        throws RTIcap.FederationAlreadyPaused, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void pauseAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.NoPauseRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void requestResume(short handle, String name)
        throws RTIcap.FederationNotPaused, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void resumeAchieved()
        throws RTIcap.NoResumeRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void requestFederationSave1(String label, double theTime)
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void requestFederationSave2(String label)
        throws RTIcap.SaveInProgress, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void federateSaveBegun1()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void federateSaveBegun2(double theTime)
        throws RTIcap.SaveNotInitiated, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void federateSaveAchieved()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void federateSaveNotAchieved()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void requestRestore(String label)
        throws RTIcap.SpecifiedSaveLabelDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void restoreAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
    void restoreNotAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService;
}
