/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/OwnershipManagerInterface.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public interface OwnershipManagerInterface
    extends org.omg.CORBA.Object {
    void unconditionalAttributeOwnershipDivestiture(int object, short[] attributes, short theHandle)
        throws RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void negotiatedAttributeOwnershipDivestiture(int object, short[] attributes, String tag, short theHandle)
        throws RTIcap.AttributeAlreadyBeingDivested, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void attributeOwnershipAcquisition(int object, short[] attributes, String tag, short theHandle)
        throws RTIcap.AttributeNotDefined, RTIcap.AttributeNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.FederateOwnsAttributes, RTIcap.ObjectClassNotPublished, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void attributeOwnerhsipAcquisitionIfAvailable(int object, short[] attributes, short theHandle)
        throws RTIcap.AttributeAlreadyBeingAcquired, RTIcap.AttributeNotDefined, RTIcap.AttributeNotPublished, RTIcap.FederateNotExecutionMember, RTIcap.FederateOwnsAttributes, RTIcap.ObjectClassNotPublished, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    short[] attributeOwnershipReleaseResponse(int object, short[] attributes, short theHandle)
        throws RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.FederateWasNotAskedToReleaseAttribute, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void cancelNegotiatedAttributeOwnershipDivestiture(int object, short[] attributes, short theHandle)
        throws RTIcap.AttributeDivestitureWasNotRequested, RTIcap.AttributeNotDefined, RTIcap.AttributeNotOwned, RTIcap.FederateNotExecutionMember, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void cancelAttributeOwnershipAcquisition(int object, short[] attributes, short theHandle)
        throws RTIcap.AttributeAcquisitionWasNotRequested, RTIcap.AttributeAlreadyOwned, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.ObjectNotKnown, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    void queryAttributeOwnership(int obj, short attrib, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
    RTIcap._Boolean isAttributeOwnedByFederate(int obj, short attrib, short theHandle)
        throws RTIcap.ObjectNotKnown, RTIcap.AttributeNotDefined, RTIcap.FederateNotExecutionMember, RTIcap.RestoreInProgress, RTIcap.RTIinternalError, RTIcap.SaveInProgress;
}
