/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_DataDistributionManagerInterfaceImplBase.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public abstract class _DataDistributionManagerInterfaceImplBase extends org.omg.CORBA.DynamicImplementation implements npacrti.DataDistributionManagerInterface {
    // Constructor
    public _DataDistributionManagerInterfaceImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:npacrti/DataDistributionManagerInterface:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("createRegion", new java.lang.Integer(0));
      _methods.put("notifyAboutRegionModification", new java.lang.Integer(1));
      _methods.put("deleteRegion", new java.lang.Integer(2));
      _methods.put("registerObjectInstanceWithRegionAndName", new java.lang.Integer(3));
      _methods.put("registerObjectInstanceWithRegion", new java.lang.Integer(4));
      _methods.put("associateRegionForUpdates", new java.lang.Integer(5));
      _methods.put("unassociateRegionForUpdates", new java.lang.Integer(6));
      _methods.put("subscribeObjectClassAttributesWithRegion", new java.lang.Integer(7));
      _methods.put("unsubscribeObjectClassWithRegion", new java.lang.Integer(8));
      _methods.put("subscribeInteractionClassWithRegion", new java.lang.Integer(9));
      _methods.put("unsubscribeInteractionClassWithRegion", new java.lang.Integer(10));
      _methods.put("sendInteractionWithRegionAndTime", new java.lang.Integer(11));
      _methods.put("sendInteractionWithRegion", new java.lang.Integer(12));
      _methods.put("requestClassAttributeValueUpdateWithRegion", new java.lang.Integer(13));
      _methods.put("requestObjectAttributeValueUpdateWithRegion", new java.lang.Integer(14));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // npacrti.DataDistributionManagerInterface.createRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theSpace = _orb().create_any();
              _theSpace.type(RTIcap.SpaceHandleHelper.type());
              _list.add_value("theSpace", _theSpace, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _numberOfExtents = _orb().create_any();
              _numberOfExtents.type(RTIcap.ULongHelper.type());
              _list.add_value("numberOfExtents", _numberOfExtents, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theSpace;
              theSpace = RTIcap.SpaceHandleHelper.extract(_theSpace);
              int numberOfExtents;
              numberOfExtents = RTIcap.ULongHelper.extract(_numberOfExtents);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              RTIcap.Region ___result;
              try {
                            ___result = this.createRegion(theSpace, numberOfExtents, theHandle);
              }
              catch (RTIcap.SpaceNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SpaceNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidExtents e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidExtentsHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.RegionHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 1: // npacrti.DataDistributionManagerInterface.notifyAboutRegionModification
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.notifyAboutRegionModification(theRegion, theHandle);
              }
              catch (RTIcap.RegionNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidExtents e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidExtentsHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 2: // npacrti.DataDistributionManagerInterface.deleteRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.deleteRegion(theRegion, theHandle);
              }
              catch (RTIcap.RegionNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 3: // npacrti.DataDistributionManagerInterface.registerObjectInstanceWithRegionAndName
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any __class = _orb().create_any();
              __class.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("_class", __class, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theName = _orb().create_any();
              _theName.type(RTIcap.ObjectNameHelper.type());
              _list.add_value("theName", _theName, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _attributes = _orb().create_any();
              _attributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("attributes", _attributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _regions = _orb().create_any();
              _regions.type(RTIcap.RegionSetHelper.type());
              _list.add_value("regions", _regions, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theNumberOfhandles = _orb().create_any();
              _theNumberOfhandles.type(RTIcap.ULongHelper.type());
              _list.add_value("theNumberOfhandles", _theNumberOfhandles, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short _class;
              _class = RTIcap.ObjectClassHandleHelper.extract(__class);
              String theName;
              theName = RTIcap.ObjectNameHelper.extract(_theName);
              short[] attributes;
              attributes = RTIcap.AttributeHandleSetHelper.extract(_attributes);
              RTIcap.Region[] regions;
              regions = RTIcap.RegionSetHelper.extract(_regions);
              int theNumberOfhandles;
              theNumberOfhandles = RTIcap.ULongHelper.extract(_theNumberOfhandles);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              int ___result;
              try {
                            ___result = this.registerObjectInstanceWithRegionAndName(_class, theName, attributes, regions, theNumberOfhandles, theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ObjectClassNotPublished e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotPublishedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ObjectAlreadyRegistered e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectAlreadyRegisteredHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 4: // npacrti.DataDistributionManagerInterface.registerObjectInstanceWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any __class = _orb().create_any();
              __class.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("_class", __class, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _attributes = _orb().create_any();
              _attributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("attributes", _attributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _regions = _orb().create_any();
              _regions.type(RTIcap.RegionSetHelper.type());
              _list.add_value("regions", _regions, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theNumberOfhandles = _orb().create_any();
              _theNumberOfhandles.type(RTIcap.ULongHelper.type());
              _list.add_value("theNumberOfhandles", _theNumberOfhandles, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short _class;
              _class = RTIcap.ObjectClassHandleHelper.extract(__class);
              short[] attributes;
              attributes = RTIcap.AttributeHandleSetHelper.extract(_attributes);
              RTIcap.Region[] regions;
              regions = RTIcap.RegionSetHelper.extract(_regions);
              int theNumberOfhandles;
              theNumberOfhandles = RTIcap.ULongHelper.extract(_theNumberOfhandles);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              int ___result;
              try {
                            ___result = this.registerObjectInstanceWithRegion(_class, attributes, regions, theNumberOfhandles, theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ObjectClassNotPublished e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotPublishedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.ObjectHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 5: // npacrti.DataDistributionManagerInterface.associateRegionForUpdates
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theObject = _orb().create_any();
              _theObject.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theObject", _theObject, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theAttributes = _orb().create_any();
              _theAttributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("theAttributes", _theAttributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              int theObject;
              theObject = RTIcap.ObjectHandleHelper.extract(_theObject);
              short[] theAttributes;
              theAttributes = RTIcap.AttributeHandleSetHelper.extract(_theAttributes);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.associateRegionForUpdates(theRegion, theObject, theAttributes, theHandle);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidRegionContext e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidRegionContextHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 6: // npacrti.DataDistributionManagerInterface.unassociateRegionForUpdates
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theObject = _orb().create_any();
              _theObject.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theObject", _theObject, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              int theObject;
              theObject = RTIcap.ObjectHandleHelper.extract(_theObject);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.unassociateRegionForUpdates(theRegion, theObject, theHandle);
              }
              catch (RTIcap.RegionNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ObjectNotKnown e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 7: // npacrti.DataDistributionManagerInterface.subscribeObjectClassAttributesWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theClass = _orb().create_any();
              _theClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("theClass", _theClass, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _attributeList = _orb().create_any();
              _attributeList.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("attributeList", _attributeList, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _active = _orb().create_any();
              _active.type(RTIcap._BooleanHelper.type());
              _list.add_value("active", _active, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theClass;
              theClass = RTIcap.ObjectClassHandleHelper.extract(_theClass);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short[] attributeList;
              attributeList = RTIcap.AttributeHandleSetHelper.extract(_attributeList);
              RTIcap._Boolean active;
              active = RTIcap._BooleanHelper.extract(_active);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.subscribeObjectClassAttributesWithRegion(theClass, theRegion, attributeList, active, theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 8: // npacrti.DataDistributionManagerInterface.unsubscribeObjectClassWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theClass = _orb().create_any();
              _theClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("theClass", _theClass, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theClass;
              theClass = RTIcap.ObjectClassHandleHelper.extract(_theClass);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.unsubscribeObjectClassWithRegion(theClass, theRegion, theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 9: // npacrti.DataDistributionManagerInterface.subscribeInteractionClassWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theClass = _orb().create_any();
              _theClass.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theClass", _theClass, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _active = _orb().create_any();
              _active.type(RTIcap._BooleanHelper.type());
              _list.add_value("active", _active, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theClass;
              theClass = RTIcap.InteractionClassHandleHelper.extract(_theClass);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              RTIcap._Boolean active;
              active = RTIcap._BooleanHelper.extract(_active);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.subscribeInteractionClassWithRegion(theClass, theRegion, active, theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateLoggingServiceCalls e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateLoggingServiceCallsHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 10: // npacrti.DataDistributionManagerInterface.unsubscribeInteractionClassWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theClass = _orb().create_any();
              _theClass.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theClass", _theClass, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theClass;
              theClass = RTIcap.InteractionClassHandleHelper.extract(_theClass);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.unsubscribeInteractionClassWithRegion(theClass, theRegion, theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionClassNotSubscribed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotSubscribedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 11: // npacrti.DataDistributionManagerInterface.sendInteractionWithRegionAndTime
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theInteraction = _orb().create_any();
              _theInteraction.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theInteraction", _theInteraction, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _parameters = _orb().create_any();
              _parameters.type(RTIcap.ParameterHandleValuePairSetHelper.type());
              _list.add_value("parameters", _parameters, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theTag = _orb().create_any();
              _theTag.type(RTIcap.UserSuppliedTagHelper.type());
              _list.add_value("theTag", _theTag, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theInteraction;
              theInteraction = RTIcap.InteractionClassHandleHelper.extract(_theInteraction);
              RTIcap.ParameterHandleValuePair[] parameters;
              parameters = RTIcap.ParameterHandleValuePairSetHelper.extract(_parameters);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              String theTag;
              theTag = RTIcap.UserSuppliedTagHelper.extract(_theTag);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              RTIcap.EventRetractionHandle ___result;
              try {
                            ___result = this.sendInteractionWithRegionAndTime(theInteraction, parameters, theTime, theTag, theRegion, theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionClassNotPublished e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotPublishedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionParameterNotDefined e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionParameterNotDefinedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidFederationTime e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.EventRetractionHandleHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 12: // npacrti.DataDistributionManagerInterface.sendInteractionWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theInteraction = _orb().create_any();
              _theInteraction.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theInteraction", _theInteraction, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _parameters = _orb().create_any();
              _parameters.type(RTIcap.ParameterHandleValuePairSetHelper.type());
              _list.add_value("parameters", _parameters, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theTag = _orb().create_any();
              _theTag.type(RTIcap.UserSuppliedTagHelper.type());
              _list.add_value("theTag", _theTag, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theInteraction;
              theInteraction = RTIcap.InteractionClassHandleHelper.extract(_theInteraction);
              RTIcap.ParameterHandleValuePair[] parameters;
              parameters = RTIcap.ParameterHandleValuePairSetHelper.extract(_parameters);
              String theTag;
              theTag = RTIcap.UserSuppliedTagHelper.extract(_theTag);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.sendInteractionWithRegion(theInteraction, parameters, theTag, theRegion, theHandle);
              }
              catch (RTIcap.InteractionClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionClassNotPublished e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotPublishedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionParameterNotDefined e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionParameterNotDefinedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 13: // npacrti.DataDistributionManagerInterface.requestClassAttributeValueUpdateWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theClass = _orb().create_any();
              _theClass.type(RTIcap.ObjectClassHandleHelper.type());
              _list.add_value("theClass", _theClass, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theAttributes = _orb().create_any();
              _theAttributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("theAttributes", _theAttributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theClass;
              theClass = RTIcap.ObjectClassHandleHelper.extract(_theClass);
              short[] theAttributes;
              theAttributes = RTIcap.AttributeHandleSetHelper.extract(_theAttributes);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.requestClassAttributeValueUpdateWithRegion(theClass, theAttributes, theRegion, theHandle);
              }
              catch (RTIcap.ObjectClassNotDefined e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectClassNotDefinedHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 14: // npacrti.DataDistributionManagerInterface.requestObjectAttributeValueUpdateWithRegion
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theObject = _orb().create_any();
              _theObject.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theObject", _theObject, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theAttributes = _orb().create_any();
              _theAttributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("theAttributes", _theAttributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theRegion = _orb().create_any();
              _theRegion.type(RTIcap.RegionHelper.type());
              _list.add_value("theRegion", _theRegion, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theObject;
              theObject = RTIcap.ObjectHandleHelper.extract(_theObject);
              short[] theAttributes;
              theAttributes = RTIcap.AttributeHandleSetHelper.extract(_theAttributes);
              RTIcap.Region theRegion;
              theRegion = RTIcap.RegionHelper.extract(_theRegion);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              try {
                            this.requestObjectAttributeValueUpdateWithRegion(theObject, theAttributes, theRegion, theHandle);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RegionNotKnown e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RegionNotKnownHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
