/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_FederationManagerInterface1Stub.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public class _FederationManagerInterface1Stub
	extends org.omg.CORBA.portable.ObjectImpl
    	implements npacrti.FederationManagerInterface1 {

    public _FederationManagerInterface1Stub(org.omg.CORBA.portable.Delegate d) {
          super();
          _set_delegate(d);
    }

    private static final String _type_ids[] = {
        "IDL:npacrti/FederationManagerInterface1:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    //	IDL operations
    //	    Implementation of ::npacrti::FederationManagerInterface1::createFederationExecution
    public void createFederationExecution(String executionName)
        throws RTIcap.FederationExecutionAlreadyExists, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock {
           org.omg.CORBA.Request r = _request("createFederationExecution");
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           r.exceptions().add(RTIcap.FederationExecutionAlreadyExistsHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationExecutionAlreadyExistsHelper.type())) {
                   throw RTIcap.FederationExecutionAlreadyExistsHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::destroyFederationExecution
    public void destroyFederationExecution(String executionName)
        throws RTIcap.FederatesCurrentlyJoined, RTIcap.FederationExecutionDoesNotExist, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock {
           org.omg.CORBA.Request r = _request("destroyFederationExecution");
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           r.exceptions().add(RTIcap.FederatesCurrentlyJoinedHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederatesCurrentlyJoinedHelper.type())) {
                   throw RTIcap.FederatesCurrentlyJoinedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::joinFederationExecution
    public short joinFederationExecution(String yourName, String executionName, RTIcap.FederateAmbassador federateAmbassador)
        throws RTIcap.FederateAlreadyExecutionMember, RTIcap.FederationExecutionDoesNotExist, RTIcap.CouldNotOpenFED, RTIcap.ErrorReadingFED, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock {
           org.omg.CORBA.Request r = _request("joinFederationExecution");
           r.set_return_type(RTIcap.FederateHandleHelper.type());
           org.omg.CORBA.Any _yourName = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_yourName, yourName);
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederationExecutionNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _federateAmbassador = r.add_in_arg();
           RTIcap.FederateAmbassadorHelper.insert(_federateAmbassador, federateAmbassador);
           r.exceptions().add(RTIcap.FederateAlreadyExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.CouldNotOpenFEDHelper.type());
           r.exceptions().add(RTIcap.ErrorReadingFEDHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateAlreadyExecutionMemberHelper.type())) {
                   throw RTIcap.FederateAlreadyExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.CouldNotOpenFEDHelper.type())) {
                   throw RTIcap.CouldNotOpenFEDHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ErrorReadingFEDHelper.type())) {
                   throw RTIcap.ErrorReadingFEDHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
           }
           short __result;
           __result = RTIcap.FederateHandleHelper.extract(r.return_value());
           return __result;
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::resignFederationExecution
    public void resignFederationExecution(short theFederate, String executionName, RTIcap.ResignAction theAction)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateDoesNotExist, RTIcap.FederationExecutionDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("resignFederationExecution");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           org.omg.CORBA.Any _executionName = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_executionName, executionName);
           org.omg.CORBA.Any _theAction = r.add_in_arg();
           RTIcap.ResignActionHelper.insert(_theAction, theAction);
           r.exceptions().add(RTIcap.FederateOwnsAttributesHelper.type());
           r.exceptions().add(RTIcap.FederateDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.InvalidResignActionHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateOwnsAttributesHelper.type())) {
                   throw RTIcap.FederateOwnsAttributesHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateDoesNotExistHelper.type())) {
                   throw RTIcap.FederateDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidResignActionHelper.type())) {
                   throw RTIcap.InvalidResignActionHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::resignFederationExecution1
    public void resignFederationExecution1(short theFederate, RTIcap.ResignAction theAction)
        throws RTIcap.FederateOwnsAttributes, RTIcap.FederateDoesNotExist, RTIcap.FederationExecutionDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.InvalidResignAction, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("resignFederationExecution1");
           org.omg.CORBA.Any _theFederate = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_theFederate, theFederate);
           org.omg.CORBA.Any _theAction = r.add_in_arg();
           RTIcap.ResignActionHelper.insert(_theAction, theAction);
           r.exceptions().add(RTIcap.FederateOwnsAttributesHelper.type());
           r.exceptions().add(RTIcap.FederateDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.FederationExecutionDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.InvalidResignActionHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederateOwnsAttributesHelper.type())) {
                   throw RTIcap.FederateOwnsAttributesHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateDoesNotExistHelper.type())) {
                   throw RTIcap.FederateDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederationExecutionDoesNotExistHelper.type())) {
                   throw RTIcap.FederationExecutionDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidResignActionHelper.type())) {
                   throw RTIcap.InvalidResignActionHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::requestPause
    public void requestPause(short handle, String name, String label)
        throws RTIcap.FederationAlreadyPaused, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("requestPause");
           org.omg.CORBA.Any _handle = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_handle, handle);
           org.omg.CORBA.Any _name = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_name, name);
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.PauseLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.FederationAlreadyPausedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationAlreadyPausedHelper.type())) {
                   throw RTIcap.FederationAlreadyPausedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::pauseAchieved
    public void pauseAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.NoPauseRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("pauseAchieved");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.PauseLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.UnknownLabelHelper.type());
           r.exceptions().add(RTIcap.NoPauseRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.UnknownLabelHelper.type())) {
                   throw RTIcap.UnknownLabelHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.NoPauseRequestedHelper.type())) {
                   throw RTIcap.NoPauseRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::requestResume
    public void requestResume(short handle, String name)
        throws RTIcap.FederationNotPaused, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("requestResume");
           org.omg.CORBA.Any _handle = r.add_in_arg();
           RTIcap.FederateHandleHelper.insert(_handle, handle);
           org.omg.CORBA.Any _name = r.add_in_arg();
           RTIcap.FederateNameHelper.insert(_name, name);
           r.exceptions().add(RTIcap.FederationNotPausedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationNotPausedHelper.type())) {
                   throw RTIcap.FederationNotPausedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::resumeAchieved
    public void resumeAchieved()
        throws RTIcap.NoResumeRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("resumeAchieved");
           r.exceptions().add(RTIcap.NoResumeRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.NoResumeRequestedHelper.type())) {
                   throw RTIcap.NoResumeRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::requestFederationSave1
    public void requestFederationSave1(String label, double theTime)
        throws RTIcap.FederationTimeAlreadyPassed, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("requestFederationSave1");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           org.omg.CORBA.Any _theTime = r.add_in_arg();
           RTIcap.FederationTimeHelper.insert(_theTime, theTime);
           r.exceptions().add(RTIcap.FederationTimeAlreadyPassedHelper.type());
           r.exceptions().add(RTIcap.InvalidFederationTimeHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.FederationTimeAlreadyPassedHelper.type())) {
                   throw RTIcap.FederationTimeAlreadyPassedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidFederationTimeHelper.type())) {
                   throw RTIcap.InvalidFederationTimeHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::requestFederationSave2
    public void requestFederationSave2(String label)
        throws RTIcap.SaveInProgress, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("requestFederationSave2");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.SaveInProgressHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveInProgressHelper.type())) {
                   throw RTIcap.SaveInProgressHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::federateSaveBegun1
    public void federateSaveBegun1()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("federateSaveBegun1");
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::federateSaveBegun2
    public void federateSaveBegun2(double theTime)
        throws RTIcap.SaveNotInitiated, RTIcap.InvalidFederationTime, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("federateSaveBegun2");
           org.omg.CORBA.Any _theTime = r.add_in_arg();
           RTIcap.FederationTimeHelper.insert(_theTime, theTime);
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.InvalidFederationTimeHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.InvalidFederationTimeHelper.type())) {
                   throw RTIcap.InvalidFederationTimeHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::federateSaveAchieved
    public void federateSaveAchieved()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("federateSaveAchieved");
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::federateSaveNotAchieved
    public void federateSaveNotAchieved()
        throws RTIcap.SaveNotInitiated, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("federateSaveNotAchieved");
           r.exceptions().add(RTIcap.SaveNotInitiatedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SaveNotInitiatedHelper.type())) {
                   throw RTIcap.SaveNotInitiatedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::requestRestore
    public void requestRestore(String label)
        throws RTIcap.SpecifiedSaveLabelDoesNotExist, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("requestRestore");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.SpecifiedSaveLabelDoesNotExistHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.SpecifiedSaveLabelDoesNotExistHelper.type())) {
                   throw RTIcap.SpecifiedSaveLabelDoesNotExistHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::restoreAchieved
    public void restoreAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("restoreAchieved");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.UnknownLabelHelper.type());
           r.exceptions().add(RTIcap.RestoreNotRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.UnknownLabelHelper.type())) {
                   throw RTIcap.UnknownLabelHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreNotRequestedHelper.type())) {
                   throw RTIcap.RestoreNotRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }
    //	    Implementation of ::npacrti::FederationManagerInterface1::restoreNotAchieved
    public void restoreNotAchieved(String label)
        throws RTIcap.UnknownLabel, RTIcap.RestoreNotRequested, RTIcap.FederateNotExecutionMember, RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, RTIcap.Deadlock, RTIcap.UnimplementedService {
           org.omg.CORBA.Request r = _request("restoreNotAchieved");
           org.omg.CORBA.Any _label = r.add_in_arg();
           RTIcap.SaveLabelHelper.insert(_label, label);
           r.exceptions().add(RTIcap.UnknownLabelHelper.type());
           r.exceptions().add(RTIcap.RestoreNotRequestedHelper.type());
           r.exceptions().add(RTIcap.FederateNotExecutionMemberHelper.type());
           r.exceptions().add(RTIcap.ConcurrentAccessAttemptedHelper.type());
           r.exceptions().add(RTIcap.RTIinternalErrorHelper.type());
           r.exceptions().add(RTIcap.DeadlockHelper.type());
           r.exceptions().add(RTIcap.UnimplementedServiceHelper.type());
           r.invoke();
           java.lang.Exception __ex = r.env().exception();
           if (__ex instanceof org.omg.CORBA.UnknownUserException) {
               org.omg.CORBA.UnknownUserException __userEx = (org.omg.CORBA.UnknownUserException) __ex;
               if (__userEx.except.type().equals(RTIcap.UnknownLabelHelper.type())) {
                   throw RTIcap.UnknownLabelHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RestoreNotRequestedHelper.type())) {
                   throw RTIcap.RestoreNotRequestedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.FederateNotExecutionMemberHelper.type())) {
                   throw RTIcap.FederateNotExecutionMemberHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.ConcurrentAccessAttemptedHelper.type())) {
                   throw RTIcap.ConcurrentAccessAttemptedHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.RTIinternalErrorHelper.type())) {
                   throw RTIcap.RTIinternalErrorHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.DeadlockHelper.type())) {
                   throw RTIcap.DeadlockHelper.extract(__userEx.except);
               }
               if (__userEx.except.type().equals(RTIcap.UnimplementedServiceHelper.type())) {
                   throw RTIcap.UnimplementedServiceHelper.extract(__userEx.except);
               }
           }
   }

};
