/*
 * File: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/classes/npacrti/_TimeManagerInterfaceImplBase.java
 * From: /project/iwt98/oldiwt98/iwt_worb/p/projects/JavaRTI/idls/npacrti.idl
 * Date: Fri May  8 15:44:01 1998
 *   By: idltojava Java IDL 1.2 Nov 12 1997 12:23:47
 */

package npacrti;
public abstract class _TimeManagerInterfaceImplBase extends org.omg.CORBA.DynamicImplementation implements npacrti.TimeManagerInterface {
    // Constructor
    public _TimeManagerInterfaceImplBase() {
         super();
    }
    // Type strings for this class and its superclases
    private static final String _type_ids[] = {
        "IDL:npacrti/TimeManagerInterface:1.0"
    };

    public String[] _ids() { return (String[]) _type_ids.clone(); }

    private static java.util.Dictionary _methods = new java.util.Hashtable();
    static {
      _methods.put("tick", new java.lang.Integer(0));
      _methods.put("tickMinMax", new java.lang.Integer(1));
      _methods.put("enableTimeRegulation", new java.lang.Integer(2));
      _methods.put("disableTimeRegulation", new java.lang.Integer(3));
      _methods.put("enableTimeConstrained", new java.lang.Integer(4));
      _methods.put("disableTimeConstrained", new java.lang.Integer(5));
      _methods.put("timeAdvanceRequest", new java.lang.Integer(6));
      _methods.put("timeAdvanceRequestAvailable", new java.lang.Integer(7));
      _methods.put("nextEventRequest", new java.lang.Integer(8));
      _methods.put("nextEventRequestAvailable", new java.lang.Integer(9));
      _methods.put("flushQueueRequest", new java.lang.Integer(10));
      _methods.put("enableAsynchronousDelivery", new java.lang.Integer(11));
      _methods.put("disableAsynchronousDelivery", new java.lang.Integer(12));
      _methods.put("queryLBTS", new java.lang.Integer(13));
      _methods.put("queryFederateTime", new java.lang.Integer(14));
      _methods.put("queryMinNextEventTime", new java.lang.Integer(15));
      _methods.put("modifyLookahead", new java.lang.Integer(16));
      _methods.put("queryLookahead", new java.lang.Integer(17));
      _methods.put("retract", new java.lang.Integer(18));
      _methods.put("changeAttributeOrderType", new java.lang.Integer(19));
      _methods.put("changeInteractionOrderType", new java.lang.Integer(20));
     }
    // DSI Dispatch call
    public void invoke(org.omg.CORBA.ServerRequest r) {
       switch (((java.lang.Integer) _methods.get(r.op_name())).intValue()) {
           case 0: // npacrti.TimeManagerInterface.tick
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              RTIcap._Boolean ___result;
              try {
                            ___result = this.tick(theHandle);
              }
              catch (RTIcap.RTIinternalError e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap._BooleanHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 1: // npacrti.TimeManagerInterface.tickMinMax
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _minimum = _orb().create_any();
              _minimum.type(RTIcap.TickTimeHelper.type());
              _list.add_value("minimum", _minimum, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _maximum = _orb().create_any();
              _maximum.type(RTIcap.TickTimeHelper.type());
              _list.add_value("maximum", _maximum, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double minimum;
              minimum = RTIcap.TickTimeHelper.extract(_minimum);
              double maximum;
              maximum = RTIcap.TickTimeHelper.extract(_maximum);
              short theHandle;
              theHandle = RTIcap.FederateHandleHelper.extract(_theHandle);
              RTIcap._Boolean ___result;
              try {
                            ___result = this.tickMinMax(minimum, maximum, theHandle);
              }
              catch (RTIcap.RTIinternalError e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap._BooleanHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 2: // npacrti.TimeManagerInterface.enableTimeRegulation
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _lookahead = _orb().create_any();
              _lookahead.type(RTIcap.FederationTimeDeltaHelper.type());
              _list.add_value("lookahead", _lookahead, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              double lookahead;
              lookahead = RTIcap.FederationTimeDeltaHelper.extract(_lookahead);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.enableTimeRegulation(theTime, lookahead, theFedHandle);
              }
              catch (RTIcap.EnableTimeRegulationPending e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidFederationTime e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidLookahead e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidLookaheadHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeRegulationAlreadyEnabled e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeRegulationAlreadyEnabledHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 3: // npacrti.TimeManagerInterface.disableTimeRegulation
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.disableTimeRegulation(theFedHandle);
              }
              catch (RTIcap.TimeRegulationWasNotEnabled e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeRegulationWasNotEnabledHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 4: // npacrti.TimeManagerInterface.enableTimeConstrained
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.enableTimeConstrained(theFedHandle);
              }
              catch (RTIcap.TimeConstrainedAlreadyEnabled e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeConstrainedAlreadyEnabledHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 5: // npacrti.TimeManagerInterface.disableTimeConstrained
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.disableTimeConstrained(theFedHandle);
              }
              catch (RTIcap.TimeConstrainedWasNotEnabled e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeConstrainedWasNotEnabledHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 6: // npacrti.TimeManagerInterface.timeAdvanceRequest
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.timeAdvanceRequest(theTime, theFedHandle);
              }
              catch (RTIcap.InvalidFederationTime e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationTimeAlreadyPassed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeRegulationPending e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 7: // npacrti.TimeManagerInterface.timeAdvanceRequestAvailable
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _time = _orb().create_any();
              _time.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("time", _time, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double time;
              time = RTIcap.FederationTimeHelper.extract(_time);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.timeAdvanceRequestAvailable(time, theFedHandle);
              }
              catch (RTIcap.InvalidFederationTime e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationTimeAlreadyPassed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeRegulationPending e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 8: // npacrti.TimeManagerInterface.nextEventRequest
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.nextEventRequest(theTime, theFedHandle);
              }
              catch (RTIcap.InvalidFederationTime e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationTimeAlreadyPassed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeRegulationPending e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 9: // npacrti.TimeManagerInterface.nextEventRequestAvailable
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _time = _orb().create_any();
              _time.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("time", _time, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double time;
              time = RTIcap.FederationTimeHelper.extract(_time);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.nextEventRequestAvailable(time, theFedHandle);
              }
              catch (RTIcap.InvalidFederationTime e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationTimeAlreadyPassed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeRegulationPending e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 10: // npacrti.TimeManagerInterface.flushQueueRequest
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theTime = _orb().create_any();
              _theTime.type(RTIcap.FederationTimeHelper.type());
              _list.add_value("theTime", _theTime, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double theTime;
              theTime = RTIcap.FederationTimeHelper.extract(_theTime);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.flushQueueRequest(theTime, theFedHandle);
              }
              catch (RTIcap.InvalidFederationTime e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidFederationTimeHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederationTimeAlreadyPassed e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederationTimeAlreadyPassedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.TimeAdvanceAlreadyInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.TimeAdvanceAlreadyInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeRegulationPending e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeRegulationPendingHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.EnableTimeConstrainedPending e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.EnableTimeConstrainedPendingHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e8) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e8);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 11: // npacrti.TimeManagerInterface.enableAsynchronousDelivery
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.enableAsynchronousDelivery(theFedHandle);
              }
              catch (RTIcap.AsynchronousDeliveryAlreadyEnabled e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AsynchronousDeliveryAlreadyEnabledHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 12: // npacrti.TimeManagerInterface.disableAsynchronousDelivery
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.disableAsynchronousDelivery(theFedHandle);
              }
              catch (RTIcap.AsynchronousDeliveryAlreadyDisabled e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AsynchronousDeliveryAlreadyDisabledHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.ConcurrentAccessAttempted e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ConcurrentAccessAttemptedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 13: // npacrti.TimeManagerInterface.queryLBTS
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              double ___result;
              try {
                            ___result = this.queryLBTS(theFedHandle);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederationTimeHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 14: // npacrti.TimeManagerInterface.queryFederateTime
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              double ___result;
              try {
                            ___result = this.queryFederateTime(theFedHandle);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederationTimeHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 15: // npacrti.TimeManagerInterface.queryMinNextEventTime
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              double ___result;
              try {
                            ___result = this.queryMinNextEventTime(theFedHandle);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederationTimeHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 16: // npacrti.TimeManagerInterface.modifyLookahead
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theLookahead = _orb().create_any();
              _theLookahead.type(RTIcap.FederationTimeDeltaHelper.type());
              _list.add_value("theLookahead", _theLookahead, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              double theLookahead;
              theLookahead = RTIcap.FederationTimeDeltaHelper.extract(_theLookahead);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.modifyLookahead(theLookahead, theFedHandle);
              }
              catch (RTIcap.InvalidLookahead e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidLookaheadHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 17: // npacrti.TimeManagerInterface.queryLookahead
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              double ___result;
              try {
                            ___result = this.queryLookahead(theFedHandle);
              }
              catch (RTIcap.FederateNotExecutionMember e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __result = _orb().create_any();
              RTIcap.FederationTimeDeltaHelper.insert(__result, ___result);
              r.result(__result);
              }
              break;
           case 18: // npacrti.TimeManagerInterface.retract
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theHandle = _orb().create_any();
              _theHandle.type(RTIcap.EventRetractionHandleHelper.type());
              _list.add_value("theHandle", _theHandle, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              RTIcap.EventRetractionHandle theHandle;
              theHandle = RTIcap.EventRetractionHandleHelper.extract(_theHandle);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.retract(theHandle, theFedHandle);
              }
              catch (RTIcap.InvalidRetractionHandle e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidRetractionHandleHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 19: // npacrti.TimeManagerInterface.changeAttributeOrderType
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theObject = _orb().create_any();
              _theObject.type(RTIcap.ObjectHandleHelper.type());
              _list.add_value("theObject", _theObject, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theAttributes = _orb().create_any();
              _theAttributes.type(RTIcap.AttributeHandleSetHelper.type());
              _list.add_value("theAttributes", _theAttributes, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theType = _orb().create_any();
              _theType.type(RTIcap.OrderingHandleHelper.type());
              _list.add_value("theType", _theType, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              int theObject;
              theObject = RTIcap.ObjectHandleHelper.extract(_theObject);
              short[] theAttributes;
              theAttributes = RTIcap.AttributeHandleSetHelper.extract(_theAttributes);
              int theType;
              theType = RTIcap.OrderingHandleHelper.extract(_theType);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.changeAttributeOrderType(theObject, theAttributes, theType, theFedHandle);
              }
              catch (RTIcap.ObjectNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.ObjectNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotDefined e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotDefinedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.AttributeNotOwned e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.AttributeNotOwnedHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidOrderingHandle e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidOrderingHandleHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e7) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e7);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
           case 20: // npacrti.TimeManagerInterface.changeInteractionOrderType
              {
              org.omg.CORBA.NVList _list = _orb().create_list(0);
              org.omg.CORBA.Any _theObject = _orb().create_any();
              _theObject.type(RTIcap.InteractionClassHandleHelper.type());
              _list.add_value("theObject", _theObject, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theType = _orb().create_any();
              _theType.type(RTIcap.OrderingHandleHelper.type());
              _list.add_value("theType", _theType, org.omg.CORBA.ARG_IN.value);
              org.omg.CORBA.Any _theFedHandle = _orb().create_any();
              _theFedHandle.type(RTIcap.FederateHandleHelper.type());
              _list.add_value("theFedHandle", _theFedHandle, org.omg.CORBA.ARG_IN.value);
              r.params(_list);
              short theObject;
              theObject = RTIcap.InteractionClassHandleHelper.extract(_theObject);
              int theType;
              theType = RTIcap.OrderingHandleHelper.extract(_theType);
              short theFedHandle;
              theFedHandle = RTIcap.FederateHandleHelper.extract(_theFedHandle);
              try {
                            this.changeInteractionOrderType(theObject, theType, theFedHandle);
              }
              catch (RTIcap.InteractionClassNotKnown e0) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotKnownHelper.insert(_except, e0);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InteractionClassNotPublished e1) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InteractionClassNotPublishedHelper.insert(_except, e1);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.InvalidOrderingHandle e2) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.InvalidOrderingHandleHelper.insert(_except, e2);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.FederateNotExecutionMember e3) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.FederateNotExecutionMemberHelper.insert(_except, e3);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.SaveInProgress e4) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.SaveInProgressHelper.insert(_except, e4);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RestoreInProgress e5) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RestoreInProgressHelper.insert(_except, e5);
                            r.except(_except);
                            return;
              }
              catch (RTIcap.RTIinternalError e6) {
                            org.omg.CORBA.Any _except = _orb().create_any();
                            RTIcap.RTIinternalErrorHelper.insert(_except, e6);
                            r.except(_except);
                            return;
              }
              org.omg.CORBA.Any __return = _orb().create_any();
              __return.type(_orb().get_primitive_tc(org.omg.CORBA.TCKind.tk_void));
              r.result(__return);
              }
              break;
            default:
              throw new org.omg.CORBA.BAD_OPERATION(0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
       }
 }
}
