/**
*
* This file reads HLAML definition and produces HTML file.
*
* @date August 11, 1998 ( Last Updated on August 12, 1998 )
* @author H. Timucin Ozdemir
*
*/
import com.microstar.xml.XmlParser; // for org.xml.sax implementation

import java.io.PrintStream;
import java.io.FileOutputStream;

import com.docuverse.freedom.*;    // for org.w3c.dom implementation

import org.w3c.dom.*;

import owrti.xml.*;                // for owrti.xml.DIFDocument and
                                   // owrti.xml.DIFtoHTMLProcessor objects

public class hmltohtml 
{

  /** */
  public static void 
  main (String args[]) throws Exception
  {
    PrintStream out = System.out;

    if (args.length < 1) 
    {
      System.err.println("Usage: java hmltohtml <file> [<output_file_name>]");
      System.exit(1);
    }// end of if

    if(args.length >1 ) out = new PrintStream( new FileOutputStream(args[1])); 

    Freedom dom = new Freedom("com.docuverse.freedom.SAXDriver");
    dom.setProperty("sax.driver","com.microstar.xml.SAXDriver");

    Document doc = dom.openDocument(DIFDocument.makeAbsoluteURL(args[0]));

    System.out.println("~~~~Let's see~~~~~");
    DIFDocument dif = new DIFDocument(doc);

    System.out.println(" Federation Name: "+dif.getFederationName());

    DIFtoHTMLProcessor.processDIF(dif,out);

  }// end of main()

}// end of hmltohtml
