package owrti;

import RTIcap.*;

/**
* 
* @date April 22, 1998 ( Updated at April 22, 1998 )
* @author H. Timucin Ozdemir
* 
*/
public class EvtTurnUpdatesOffForObjectInstance implements RTIEvent, RTIDebug 
{

   double timeStamp;
   int    ObjectID;
   short[] attribs;

   /**
   */
   public EvtTurnUpdatesOffForObjectInstance( int _ObjectID, short[] _att)
   {
      ObjectID = _ObjectID;
       attribs = _att;
   }// end of CONSTRUCTOR
   
   /**
   */
   public double
   getTimeStamp() {  return timeStamp; }

   /**
   */
   public void 
   execute(RTIcap.FederateAmbassador fed) 
   {
      try
      {
         fed.turnUpdatesOffForObjectInstance(ObjectID,attribs);
      } catch( RTIcap.ObjectNotKnown onk) {}
        catch( RTIcap.AttributeNotOwned ano) {}
        catch( RTIcap.FederateInternalError fie) {}

   }// end of execute()

   /**
   */
   public final String
   toString()
   {
      String ret = new String(" turnUpdatesOffForObjectInstance oID : "+ObjectID);
      if(attribs.length>0)
      {
         ret += (" a: "+attribs[0]);
         for(int i=1;i<attribs.length;i++) ret += (","+attribs[i]);

      }// end of if

      ret += (" @ "+timeStamp);

      return ret;

   }// end of toString() 

}// end of class EvtTurnUpdatesOffForObjectInstance

