/**
* General Purpose Mapper
*/
package owrti;

import java.util.*;

public class GlbNaming implements RTIDebug
{

   protected Hashtable idToName = new Hashtable();
   protected Hashtable nameToId = new Hashtable();
   protected Hashtable idToRec = new Hashtable();

   public 
   GlbNaming() {}

   /**
   */
   public String 
   getName(Object key)
   { return (String) idToName.get(key); }// end of getName()

   /**
   */
   public Object 
   getID(String key)
   { return nameToId.get(key); }// end of getID()

   /**
   */
   public Object 
   getRecord(Object key)
   { return idToRec.get(key); }// end of getRecord()

   /**
   */
   public final void 
   addEntry(Object handle, String name, Object record)
   { 
      nameToId.put(name,handle); 
      idToName.put(handle,name); 
      idToRec.put(handle,record); 

   }// end of addEntry()

   /**
   */
   public final void 
   removeEntry(Object handle)
   { 
      String name = (String) idToName.get(handle);
      if(name != null ) nameToId.remove(name);
      idToName.remove(handle);
      idToRec.remove(handle);

   }// end of removeEntry()

   /**
   */
   public final void 
   removeEntry(String name)
   { 
      Object id = nameToId.get(name);

      if(id != null ) 
      {
         nameToId.remove(name);
         idToName.remove(id);
         idToRec.remove(id);

      }// end of if

   }// end of removeEntry()

}// end of class GlbNaming
