
package owrti.xml;

/**
*
* @date   August 11, 1998 ( Last Updated August 11, 1998 )
* @author H. Timucin Ozdemir
*
*/
public final class 
OrderType 
{

     public static final int _RECEIVE = 0, _TIMESTAMP = 1;

     public static final OrderType RECEIVE = new OrderType(_RECEIVE);

     public static final OrderType TIMESTAMP = new OrderType(_TIMESTAMP);

     public int value() { return _value; }

     public final String toString() 
     { 
        String ret;

        switch (_value)
        {
             case _TIMESTAMP: ret = new String("timestamp"); break;
             case _RECEIVE: 
             default: ret = new String("receive"); break;

        }// end of switch

        return ret;

     }// endof toString()


     public static final OrderType 
     from_int(int i)  throws UnknownOrderType
     {
           switch (i) {
             case _RECEIVE:
                 return RECEIVE;
             case _TIMESTAMP:
                 return TIMESTAMP;
             default:
                      throw new UnknownOrderType();
           }
     }

     private OrderType(int _value){ this._value = _value; }

     private int _value;
}
